"use strict";
exports.id = 1300;
exports.ids = [1300];
exports.modules = {

/***/ 1300:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1664);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(next_link__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _services__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2934);
/* harmony import */ var components_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4304);
/* harmony import */ var styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5599);
/* harmony import */ var styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6__);







const StoreMaker = ({ page  })=>{
    const [data, setData] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    const handleStoreMakerhApi = async ()=>{
        const storeResponse = await (0,_services__WEBPACK_IMPORTED_MODULE_4__/* .fetchPageAcf */ .wG)("?_fields=acf.about_block&slug=" + page);
        if (storeResponse) {
            setData(storeResponse[0].acf);
        }
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        handleStoreMakerhApi();
    }, []);
    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
        className: page == "about" ? (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().ourStorySection) + " " + (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().about) : (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().ourStorySection),
        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
            className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().wrapper),
            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().bgColorSection),
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                    className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().threeBlockSection),
                    children: data && data.aboutBlock && data.aboutBlock.map((aboutBlockItem, index)=>{
                        return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                            className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().mainBlock),
                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().block),
                                children: page == "about" ? /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
                                    children: [
                                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                            className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().imagePart),
                                            children: aboutBlockItem.pageLink.buttonLinkType == "internal" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                href: (0,components_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)(aboutBlockItem.pageLink.internalLink),
                                                className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().imageHoverLink),
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                    width: 258,
                                                    height: 335,
                                                    sizes: "100vw",
                                                    className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().img),
                                                    src: aboutBlockItem.sectionImage.sizes.homeAboutBlogsImage,
                                                    alt: "General-Image-" + Number(index + 1)
                                                })
                                            }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("a", {
                                                href: aboutBlockItem.pageLink.externalLink,
                                                target: "_blank",
                                                className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().imageHoverLink),
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                    width: 258,
                                                    height: 335,
                                                    sizes: "100vw",
                                                    className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().img),
                                                    src: aboutBlockItem.sectionImage.sizes.homeAboutBlogsImage,
                                                    alt: "General-Image-" + Number(index + 1)
                                                })
                                            })
                                        }),
                                        /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                            className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().textPart),
                                            children: [
                                                aboutBlockItem.pageLink.buttonLinkType == "internal" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                    href: (0,components_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)(aboutBlockItem.pageLink.internalLink),
                                                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                                        children: aboutBlockItem.pageLink.buttonText
                                                    })
                                                }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("a", {
                                                    href: aboutBlockItem.pageLink.externalLink,
                                                    target: "_blank",
                                                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                                        children: aboutBlockItem.pageLink.buttonText
                                                    })
                                                }),
                                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("p", {
                                                    children: aboutBlockItem.content
                                                })
                                            ]
                                        })
                                    ]
                                }) : /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
                                    children: [
                                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                            className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().imagePart),
                                            children: aboutBlockItem.blockLink.buttonLinkType == "internal" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                href: (0,components_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)(aboutBlockItem.blockLink.internalLink),
                                                className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().imageHoverLink),
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                    width: 258,
                                                    height: 335,
                                                    sizes: "100vw",
                                                    className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().img),
                                                    src: aboutBlockItem.blockImage.sizes.homeAboutBlogsImage,
                                                    alt: "General-Image-" + Number(index + 1)
                                                })
                                            }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("a", {
                                                href: aboutBlockItem.blockLink.externalLink,
                                                target: "_blank",
                                                className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().imageHoverLink),
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                    width: 258,
                                                    height: 335,
                                                    sizes: "100vw",
                                                    className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().img),
                                                    src: aboutBlockItem.blockImage.sizes.homeAboutBlogsImage,
                                                    alt: "General-Image-" + Number(index + 1)
                                                })
                                            })
                                        }),
                                        /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                            className: (styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().textPart),
                                            children: [
                                                aboutBlockItem.blockLink.buttonLinkType == "internal" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                    href: (0,components_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)(aboutBlockItem.blockLink.internalLink),
                                                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                                        children: aboutBlockItem.blockLink.buttonText
                                                    })
                                                }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("a", {
                                                    href: aboutBlockItem.blockLink.externalLink,
                                                    target: "_blank",
                                                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                                        children: aboutBlockItem.blockLink.buttonText
                                                    })
                                                }),
                                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("p", {
                                                    children: aboutBlockItem.blockContent
                                                })
                                            ]
                                        })
                                    ]
                                })
                            })
                        }, index);
                    })
                })
            })
        })
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (StoreMaker);


/***/ })

};
;