"use strict";
exports.id = 1684;
exports.ids = [1684];
exports.modules = {

/***/ 9112:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "DN": () => (/* binding */ SiteContext),
  "ZP": () => (/* binding */ useSite),
  "AA": () => (/* binding */ useSiteContext)
});

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
;// CONCATENATED MODULE: ./package.json
const package_namespaceObject = JSON.parse('{"name":"next-wordpress-starter","homepage":"https://next-wordpress-starter.spacejelly.dev","version":"0.1.0","license":"MIT","author":"Colby Fayock <hello@colbyfayock.com>","scripts":{"build":"next build","dev":"next dev","export":"next export","format":"pnpm lint --fix","format:no-path":"pnpm lint:no-path --fix","lint":"eslint .","lint:no-path":"eslint","start":"SET NODE_ENV=production & node app.js"},"lint-staged":{"**/*.js":"pnpm format:no-path","**/*.scss":"pnpm prettier --write"},"dependencies":{"@apollo/client":"^3.7.14","@emotion/react":"^11.11.1","@emotion/styled":"^11.11.0","@fortawesome/fontawesome-svg-core":"^6.4.2","@fortawesome/free-brands-svg-icons":"^6.4.2","@fortawesome/free-solid-svg-icons":"^6.4.2","@fortawesome/react-fontawesome":"^0.2.0","@loadable/component":"^5.15.3","@mui/icons-material":"^5.14.12","@mui/material":"^5.14.12","@next/bundle-analyzer":"^14.0.3","@react-google-maps/api":"^2.19.2","@reduxjs/toolkit":"^1.9.5","@stripe/react-stripe-js":"^2.3.1","@stripe/stripe-js":"^2.1.10","axios":"^1.5.1","date-fns":"^2.30.0","dotenv":"^16.0.3","focus-formik-error":"^1.1.0","formik":"^2.4.3","fuse.js":"^6.6.2","graphql":"^16.6.0","he":"^1.2.0","js-cookie":"^3.0.5","loader-utils":"^3.2.1","lodash":"^4.17.21","moment":"^2.29.4","next":"13.1","next-redux-wrapper":"^8.1.0","next-remove-imports":"^1.0.12","nextjs-progressbar":"^0.0.16","parameterize":"^1.0.0","path":"^0.12.7","postcss-flexbugs-fixes":"^5.0.2","postcss-preset-env":"^9.3.0","react":"18.2.0","react-dom":"18.2.0","react-google-recaptcha":"^3.1.0","react-helmet":"^6.1.0","react-helmet-async":"^1.3.0","react-icons":"^4.8.0","react-modal":"^3.16.1","react-range":"^1.8.14","react-range-slider-input":"^3.0.7","react-redux":"^8.1.2","react-slick":"^0.29.0","react-tabs":"^6.0.2","redux-devtools-extension":"^2.13.9","redux-logger":"^3.0.6","redux-thunk":"^2.4.2","rss":"^1.2.2","select2":"^4.1.0-rc.0","sharethis-reactjs":"^1.6.0","sharp":"^0.33.0","slick-carousel":"^1.8.1","style.css":"^1.0.3","swr":"^2.2.1","use-debounce":"^9.0.4","yet-another-react-lightbox":"^3.15.5","yup":"^1.2.0"},"devDependencies":{"eslint":"8.39.0","eslint-config-next":"^13.4.0","eslint-config-prettier":"^8.8.0","eslint-plugin-prettier":"^4.2.1","eslint-plugin-react":"^7.32.2","lint-staged":"^13.2.2","playwright":"^1.33.0","sass":"^1.69.0"},"repository":{"type":"git","url":"https://github.com/colbyfayock/next-wordpress-starter"},"bugs":{"url":"https://github.com/colbyfayock/next-wordpress-starter/issues"}}');
;// CONCATENATED MODULE: ./src/lib/util.js
/**
 * decodeHtmlEntities
 */ function decodeHtmlEntities(text) {
    if (typeof text !== "string") {
        throw new Error(`Failed to decode HTML entity: invalid type ${typeof text}`);
    }
    let decoded = text;
    const entities = {
        "&amp;": "&",
        "&quot;": '"',
        "&#039;": "'"
    };
    return decoded.replace(/&amp;|&quot;|&#039;/g, (char)=>entities[char]);
}
/**
 * removeLastTrailingSlash
 */ function removeLastTrailingSlash(url) {
    if (typeof url !== "string") return url;
    return url.replace(/\/$/, "");
}
function removeExtraSpaces(text) {
    if (typeof text !== "string") return;
    return text.replace(/\s+/g, " ").trim();
}

;// CONCATENATED MODULE: ./src/hooks/use-site.js



const SiteContext = /*#__PURE__*/ (0,external_react_.createContext)();
/**
 * useSiteContext
 */ function useSiteContext(data) {
    let { homepage =""  } = package_namespaceObject;
    // Trim the trailing slash from the end of homepage to avoid
    // double // issues throughout the metadata
    homepage = removeLastTrailingSlash(homepage);
    return {
        ...data,
        homepage
    };
}
/**
 * useSite
 */ function useSite() {
    const site = (0,external_react_.useContext)(SiteContext);
    return site;
}


/***/ }),

/***/ 5585:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$S": () => (/* binding */ userSuccess),
/* harmony export */   "DZ": () => (/* binding */ userUpdate),
/* harmony export */   "ZP": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "cg": () => (/* binding */ userPending)
/* harmony export */ });
/* unused harmony export userFail */
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);

const initialState = {
    userIsLogin: false,
    userIsLoading: true,
    userData: [],
    userError: ""
};
const userSlice = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSlice)({
    name: "user",
    initialState,
    reducers: {
        userPending: (state)=>{
            state.userIsLogin = false;
            state.userIsLoading = false, state.userError = "";
        },
        userSuccess: (state, { payload  })=>{
            state.userIsLogin = true;
            state.userIsLoading = false, state.userData = payload;
        },
        userUpdate: (state, { payload  })=>{
            state.userData.firstname = payload.account_first_name;
            state.userData.lastname = payload.account_last_name;
            state.userData.email = payload.account_email;
            state.userData.displayname = payload.account_first_name + " " + payload.account_last_name;
        },
        userFail: (state, { payload  })=>{
            state.userIsLogin = false;
            state.userIsLoading = true, state.userError = payload;
        }
    }
});
const { reducer , actions  } = userSlice;
const { userPending , userSuccess , userFail , userUpdate  } = actions;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (reducer);


/***/ }),

/***/ 2934:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "pE": () => (/* binding */ fetchCategories),
  "eR": () => (/* binding */ fetchCustomPostType),
  "yu": () => (/* binding */ fetchCustomPostTypePagination),
  "Lu": () => (/* binding */ fetchLatestNews),
  "KQ": () => (/* binding */ fetchMakers),
  "tH": () => (/* binding */ fetchMakersDetail),
  "LA": () => (/* binding */ fetchMenuBySlug),
  "fA": () => (/* binding */ fetchOptionByParams),
  "lz": () => (/* binding */ fetchOrderHistory),
  "eY": () => (/* binding */ fetchOurExpertProduct),
  "wG": () => (/* binding */ fetchPageAcf),
  "Hv": () => (/* binding */ fetchPagesById),
  "UT": () => (/* binding */ fetchPaymentGateways),
  "T6": () => (/* binding */ fetchPosts),
  "zT": () => (/* binding */ fetchPostsWithfilter),
  "LD": () => (/* binding */ fetchProductCurrentCategory),
  "v6": () => (/* binding */ fetchProductFilters),
  "XF": () => (/* binding */ fetchProductFiltersMakers),
  "$R": () => (/* binding */ fetchProductLists),
  "t2": () => (/* binding */ fetchProducts),
  "LW": () => (/* binding */ fetchProductsByCondition),
  "ZU": () => (/* binding */ fetchShippingCountries),
  "SM": () => (/* binding */ fetchWpSearch),
  "w$": () => (/* binding */ joinOurNewsletter),
  "De": () => (/* binding */ submitContactFormWithId)
});

// UNUSED EXPORTS: addItem, fetchClientSecretKey, fetchGeneralSettings, isUserLoggedIn, storeApi

// EXTERNAL MODULE: ./node_modules/axios/lib/axios.js + 46 modules
var axios = __webpack_require__(5306);
;// CONCATENATED MODULE: ./src/utils/Http.js

//import { setupCache } from 'axios-cache-adapter'
const API_URL = "https://admin.wwmain.cda-development3.co.uk/backend/wp-json/";
// const cache = setupCache({
//   maxAge: 15 * 60 * 1000
// })
axios/* default.defaults.baseURL */.Z.defaults.baseURL = API_URL;
axios/* default.defaults.headers.common.Accept */.Z.defaults.headers.common.Accept = "application/json";
//axios.create({adapter: cache.adapter})
axios/* default.interceptors.response.use */.Z.interceptors.response.use((response)=>response, (error)=>{
    console.log("errorerrorerror", error);
    // if (error.response.status === 401) {
    //   // Add logout code when required
    // }
    return Promise.reject(error);
});
/* harmony default export */ const utils_Http = (axios/* default */.Z);

// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(6517);
var external_lodash_default = /*#__PURE__*/__webpack_require__.n(external_lodash_);
;// CONCATENATED MODULE: ./src/utils/Transformer.js
/* ============
 * Transformer
 * ============
 *
 * The base transformer.
 *
 * Transformers are used to transform the fetched data
 * to a more suitable format.
 * For instance, when the fetched data contains snake_cased values,
 * they will be camelCased.
 */ 
class Transformer_Transformer {
    /**
   * Method used to transform a fetched data
   *
   * @param param
   * @return {*}
   */ static fetch(param) {
        if (param && Array.isArray(param)) {
            return Transformer_Transformer.fetchCollection(param);
        }
        if (param && typeof param === "object") {
            return Transformer_Transformer.fetchObject(param);
        }
        return param;
    }
    /**
   * Method used to transform a fetched collection
   *
   * @param param
   * @return [Array]
   */ static fetchCollection(param) {
        return param.map((item)=>Transformer_Transformer.fetch(item));
    }
    /**
   * Method used to transform a fetched object
   *
   * @param param
   * @return {{}}
   */ static fetchObject(param) {
        const data = {};
        external_lodash_default().forOwn(param, (value, key)=>{
            data[external_lodash_default().camelCase(key)] = Transformer_Transformer.fetch(value);
        });
        return data;
    }
    /**
   * Method used to transform a send data
   *
   * @param param
   * @return {*}
   */ static send(param) {
        if (param && Array.isArray(param)) {
            return Transformer_Transformer.sendCollection(param);
        }
        if (param && typeof param === "object") {
            return Transformer_Transformer.sendObject(param);
        }
        return param;
    }
    /**
   * Method used to transform a collection to be send
   *
   * @param param
   * @return [Array]
   */ static sendCollection(param) {
        return param.map((item)=>Transformer_Transformer.send(item));
    }
    /**
   * Method used to transform a object to be send
   *
   * @param param
   * @returns {{}}
   */ static sendObject(param) {
        const data = {};
        external_lodash_default().forOwn(param, (value, key)=>{
            data[external_lodash_default().snakeCase(key)] = Transformer_Transformer.send(value);
        });
        return data;
    }
    /**
   * Method used to transform a form errors
   *
   * @param errors The fetched data
   * @param replace Boolean
   * @param searchStr String
   * @param replaceStr String
   * @returns {{}}
   */ static resetValidationFields({ errors , replace =false , searchStr ="" , replaceStr =""  }) {
        console.log(errors);
        const data = {};
        external_lodash_default().forOwn(errors, (value, key)=>{
            let index = "";
            if (replace) {
                index = external_lodash_default().camelCase(key.replace(searchStr, replaceStr));
            } else {
                index = external_lodash_default().camelCase(key);
            }
            data[index] = external_lodash_default().head(value);
        });
        return data;
    }
}

;// CONCATENATED MODULE: ./src/services/index.js


function storeApi({ endpoint , params ={}  }) {
    const searchParams = new URLSearchParams(params);
    return new Promise((resolve, reject)=>{
        Http.get(`${"https://admin.wwmain.cda-development3.co.uk/backend/wp-json/wc/store/"}${endpoint}?${searchParams}`).then((res)=>{
            const data = Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function addItem({ endpoint , params ={}  }) {
    const searchParams = new URLSearchParams(params);
    return new Promise((resolve, reject)=>{
        Http.post(`${"https://admin.wwmain.cda-development3.co.uk/backend/wp-json/wc/store/"}${endpoint}?${searchParams}`).then((res)=>{
            const data = Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchMenuBySlug(slug) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("menus/v1/menus/" + slug).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchGeneralSettings() {
    return new Promise((resolve, reject)=>{
        Http.get("acf/v3/options/options").then((res)=>{
            const data = Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchOptionByParams(params) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("acf/v3/options/options?_fields=" + params).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function joinOurNewsletter(postData) {
    return new Promise((resolve, reject)=>{
        utils_Http.post("contact-form-7/v1/contact-forms/131/feedback", postData).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchPagesById(id) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/pages/" + id + "?_embed").then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchLatestNews() {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/get_news_posts?post_id=53").then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchProductsByCondition() {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/get_products_by_condition?listing_type=latest&limit=8").then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchCategories() {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/categories").then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchPosts(filterParam) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/posts" + filterParam).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchPostsWithfilter(filterParam) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/posts" + filterParam).then((res)=>{
            const data = Transformer_Transformer.fetch(res);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchCustomPostType(postType) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/" + postType).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchCustomPostTypePagination(postType) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/" + postType).then((res)=>{
            const data = Transformer_Transformer.fetch(res);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchOurExpertProduct(products) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/get_our_expert_product?products=" + products).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchProducts(filterParam) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wc/v3/products" + filterParam).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchProductLists(filterParam) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wc/v3/products" + filterParam).then((res)=>{
            const data = Transformer_Transformer.fetch(res);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchProductFilters(slug) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/product_filter_data?category_slug=" + slug).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchProductCurrentCategory(slug) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/get_product_current_category?category_slug=" + slug).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchProductFiltersMakers(slug) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/product_filter_data_maker?maker_slug=" + slug).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function submitContactFormWithId(id, postData) {
    return new Promise((resolve, reject)=>{
        utils_Http.post("contact-form-7/v1/contact-forms/" + id + "/feedback", postData).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function isUserLoggedIn(apiArgument) {
    return new Promise((resolve, reject)=>{
        Http.get("https://admin.wwmain.cda-development3.co.uk/backend/api/" + apiArgument, {
            withCredentials: true
        }).then((res)=>{
            const data = Transformer.fetch(res.data);
            return resolve(data);
        }).catch((error)=>{
            let rejectRes = reject(err.response);
            return rejectRes;
        });
    });
}
function fetchClientSecretKey(postData) {
    return new Promise((resolve, reject)=>{
        Http.post("https://api.stripe.com/v1/payment_intents", postData, {
            headers: {
                "Content-type": "application/x-www-form-urlencoded",
                Authorization: "Bearer sk_test_51LrJeWAGpzZeI2RHauIN1TCsYIaZqCCC5osFvbqLSUbMTFMniF5XN1DbuNyQNpihf0obccGajLn2ek6QInJKfOpH00o0DXZbnW"
            }
        }).then((res)=>{
            const data = Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchShippingCountries() {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/getShippingCountries").then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchOrderHistory(filterParam) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wc/v3/orders" + filterParam).then((res)=>{
            const data = Transformer_Transformer.fetch(res);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchPaymentGateways() {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wc/v3/payment_gateways").then((res)=>{
            const data = Transformer_Transformer.fetch(res);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchMakers() {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/get_makers").then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchMakersDetail(slug) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/get_makers_detail?slug=" + slug).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchWpSearch(search, page = 1) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/my_rest_engine_name?s=" + search + "&page=" + page).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}
function fetchPageAcf(params) {
    return new Promise((resolve, reject)=>{
        utils_Http.get("wp/v2/pages/" + params).then((res)=>{
            const data = Transformer_Transformer.fetch(res.data);
            return resolve(data);
        }).catch((err1)=>{
            let rejectRes = reject(err1.response);
            return rejectRes;
        });
    });
}


/***/ })

};
;