"use strict";
exports.id = 7061;
exports.ids = [7061];
exports.modules = {

/***/ 7061:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1664);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(next_link__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_slick__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8096);
/* harmony import */ var react_slick__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_slick__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _services__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2934);
/* harmony import */ var _Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4304);
/* harmony import */ var _popup_AddToBasket__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2169);
/* harmony import */ var _Common_AddToCart__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5892);
/* harmony import */ var slick_carousel_slick_slick_css__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8278);
/* harmony import */ var slick_carousel_slick_slick_css__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(slick_carousel_slick_slick_css__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var slick_carousel_slick_slick_theme_css__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(782);
/* harmony import */ var slick_carousel_slick_slick_theme_css__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(slick_carousel_slick_slick_theme_css__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _styles_shop_SimilarProducts_module_scss__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(7378);
/* harmony import */ var _styles_shop_SimilarProducts_module_scss__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(_styles_shop_SimilarProducts_module_scss__WEBPACK_IMPORTED_MODULE_11__);








//import '../../styles/shop/similarproducts.scss';




const SimilarProducts = ({ productsData  })=>{
    const [similarProductsData, setSimilarProductsData] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)([]);
    const [productSimilarObjData, setProductSimilarObjData] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)({});
    const [modalIsOpen, setIsOpen] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    function openModal(productItemObj) {
        setProductSimilarObjData(productItemObj);
        setIsOpen(true);
    }
    function closeModal() {
        setIsOpen(false);
    }
    const handleSimilarProducts = async (relatedIds)=>{
        try {
            if (relatedIds) {
                const similarProductResponse = await (0,_services__WEBPACK_IMPORTED_MODULE_4__/* .fetchProducts */ .t2)("?include=" + relatedIds);
                setSimilarProductsData(similarProductResponse);
            }
        } catch (e) {
            console.log(e);
        }
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        handleSimilarProducts(productsData.length > 0 && productsData[0].relatedIds);
    }, [
        productsData.length > 0
    ]);
    var settings = {
        dots: false,
        arrows: true,
        infinite: true,
        loop: true,
        autoplay: false,
        slidesToShow: 3,
        slidesToScroll: 1,
        responsive: [
            {
                breakpoint: 1024,
                settings: {
                    slidesToShow: 3
                }
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1
                }
            }
        ]
    };
    return productsData.length == 0 || similarProductsData && similarProductsData.length == 0 ? "" : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("section", {
        className: (_styles_shop_SimilarProducts_module_scss__WEBPACK_IMPORTED_MODULE_11___default().root),
        children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
            className: "products",
            children: [
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                    className: (_styles_shop_SimilarProducts_module_scss__WEBPACK_IMPORTED_MODULE_11___default().wrapper),
                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                        className: "recently-viewed-inner-section similar-product-slider",
                        children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                            className: "recently-viewed-inner",
                            children: [
                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                    className: "similar-product",
                                    children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                        className: "similar-product-slider",
                                        children: [
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                                children: "Similar Products for Sale"
                                            }),
                                            productsData[0].categories && productsData[0].categories.length >= 2 ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                href: "/shop/" + productsData[0].categories[productsData[0].categories.length - 1].slug + "/" + productsData[0].categories[productsData[0].categories.length - 2].slug + "/",
                                                children: "View All"
                                            }) : ""
                                        ]
                                    })
                                }),
                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                    className: "products columns-3",
                                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((react_slick__WEBPACK_IMPORTED_MODULE_3___default()), {
                                        ...settings,
                                        children: similarProductsData && similarProductsData.map((similarProductsItem, index)=>{
                                            return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("ul", {
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("li", {
                                                    className: "single-slide",
                                                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                                        className: "product",
                                                        children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                                            className: "product-block",
                                                            children: [
                                                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                                    href: (0,_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)(similarProductsItem.permalink),
                                                                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_10___default()), {
                                                                        className: "img",
                                                                        sizes: "100vw",
                                                                        src: similarProductsItem.images[0].src,
                                                                        alt: "Antique Silver Victorian Claret Jug made in c.1895",
                                                                        width: 300,
                                                                        height: 300
                                                                    })
                                                                }),
                                                                /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                                                    className: "product-content-qr",
                                                                    children: [
                                                                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                                            className: "product-title-qr",
                                                                            href: (0,_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)(similarProductsItem.permalink),
                                                                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("p", {
                                                                                children: similarProductsItem.name
                                                                            })
                                                                        }),
                                                                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("span", {
                                                                            className: "price",
                                                                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("span", {
                                                                                className: "woocommerce-Price-amount amount",
                                                                                children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("bdi", {
                                                                                    children: [
                                                                                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("span", {
                                                                                            className: "woocommerce-Price-currencySymbol",
                                                                                            children: "\xa3"
                                                                                        }),
                                                                                        similarProductsItem.price
                                                                                    ]
                                                                                })
                                                                            })
                                                                        }),
                                                                        similarProductsItem.acf.buyingOptions && similarProductsItem.acf.buyingOptions.includes("allow_buy_online") && similarProductsItem.stockStatus == "instock" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_Common_AddToCart__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Z, {
                                                                            product: similarProductsItem,
                                                                            openModal: openModal,
                                                                            page: "similar"
                                                                        }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                                            className: "single_add_to_cart_button_general_plist button alt single-details-basket-btn btn-basket-similar-pro-cus",
                                                                            href: (0,_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)(similarProductsItem.permalink),
                                                                            children: "ENQUIRE ABOUT THIS PIECE "
                                                                        })
                                                                    ]
                                                                })
                                                            ]
                                                        })
                                                    })
                                                })
                                            }, index);
                                        })
                                    })
                                })
                            ]
                        })
                    })
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_popup_AddToBasket__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                    productData: productSimilarObjData,
                    modalIsOpen: modalIsOpen,
                    closeModal: closeModal
                })
            ]
        })
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SimilarProducts);


/***/ })

};
;