import React from 'react';
import Link from 'next/link';
import { InlineShareButtons } from 'sharethis-reactjs';
//import '../../style/ourexpert/ourexpertmain.scss';
//import '../../style/news/newsarticle.scss';
import styles from '../../styles/cmspage/Newsarticle.module.scss';



const CommanSocial = ({ CommanCms }) => {
  const OnlyShareThis = (CommanCms) => {

    return (
      <InlineShareButtons
        config={{
          alignment: 'center',
          color: 'social',
          enabled: true,
          font_size: 15,
          labels: 'cta',
          language: 'en',
          networks: [
            'twitter',
            'facebook',
            'whatsapp',
            'linkedin',
            'pinterest',
            'email',
            'blogger',
            'delicious',
            'digg',
            'flipboard',
            'livejournal',
            'mailru',
            'meneame',
            'messenger',
            'oknoklassniki',
            'print',
            'reddit',
            'sharethis',
            'sms',
            'stumbleupon',
            'telegram',
            'tumblr',
            'vk',
            'wechat',
            'weibo',
            'xing',
            'blogger',
            'digg',
            'github',
            'instagram',
            'medium',
            'messenger',
            'oknoklassniki',
            'patreon',
            'pinterest',
            'quora',
            'reddit',
            'snapchat',
            'soundcloudm',
            'spotify',
            'telegram',
            'tumblr',
            'twitch',
            'vk',
            'wechat',
            'weibo',
            'yelp',
            'youtube'
          ],
          padding: 10,
          radius: 0,
          show_total: true,
          size: 40,
          url: (CommanCms.link.replace(process.env.ADMIN_URL + '/', process.env.SITE_URL)),
          image: '',
          description: CommanCms.content.rendered,
          title: CommanCms.title.rendered,
          message: CommanCms.content.rendered,
          subject: CommanCms.title.rendere
        }}
      />
    )
  }


  return (
    <section className={styles.root}>
      <div className="next-prev-button delivery-social">
        <div className='share-icons'> {OnlyShareThis(CommanCms)} </div>
      </div>
    </section>
  );
};

export default CommanSocial;
