import React from "react";
import { useDispatch, useSelector } from "react-redux";
//import '../../style/news/mainbannertitle.scss';
import styles from "../../styles/cmspage/Mainbannertitle.module.scss";

const MainBannerTitle = ({ makersDetail }) => {
  return (
    <section className={styles.root}>
      <div className="cms-banner">
        <div className={styles.wrapper}>
          <div className="cms-banner-section">
            <div className="banner-text view-less-pos">
              <h2 className="page-tittle" dangerouslySetInnerHTML={{ __html: makersDetail && makersDetail.name }}></h2>
              <p
                className="description"
                dangerouslySetInnerHTML={{ __html: makersDetail && makersDetail.description }}
              ></p>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default MainBannerTitle;
