"use client"
import React from "react";
import { InlineShareButtons } from 'sharethis-reactjs';

const OnlyShareThis = ({ productsData }) => {

    return (
        <InlineShareButtons
            config={{
                alignment: 'center',
                color: 'social',
                enabled: true,
                font_size: 15,
                labels: 'cta',
                language: 'en',
                networks: [
                    'twitter',
                    'facebook',
                    'sharethis',
                ],
                padding: 10,
                radius: 0,
                show_total: true,
                size: 40,
                url: (productsData.permalink.replace(process.env.ADMIN_URL + '/', process.env.SITE_URL)),
                image: '',
                description: productsData.shortDescription,
                title: productsData.name,
                message: productsData.shortDescription,
                subject: productsData.name,
            }}
        />
    )
}
export default OnlyShareThis;