import React from 'react';
import { Link } from 'next/link';
import { useSelector } from 'react-redux';
import ShopTitleBanner from '../../assets/store-banner.jpg'
//import '../../styles/news/mainbannertitle.scss';
// import styles from '../../styles/mainBannerTitle.module.scss';
import styles from '../../styles/cmspage/Mainbannertitle.module.scss';


const ShopTitle = (props) => {
  return (
    <div className={styles.root}>
      <div className="cms-banner product-main-banner">
        <div className={styles.wrapper}>
          <div className="cms-banner-section" style={{ backgroundImage: `url(${ShopTitleBanner.src})` }}>
            <div className="banner-text view-less-pos">
              <h2 className="page-tittle">{props && props.shopTitle && props.shopTitle.name ? props.shopTitle.name : "Antique Silver"}</h2>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default ShopTitle;
