import React from "react";
import Link from 'next/link'
//import '../../style/commonloader.scss'
//import '../../style/about/breadcrumb.scss'

import styles from '../../styles/breadcrumb.module.scss';

const AboutBreadcrumb = ({breadcrumbMenu}) => { 
    
    return (    
        <section className={styles.root}>
            <div className={styles.breadcumbBar + ' ' + styles.forOthers + ' ' + styles.forAbout }>
                <div className={styles.wrapper}>
                <div className={styles.breadcumb}>
                    <ul>
                        { breadcrumbMenu && breadcrumbMenu.map((breadcrumbItem,index) => {
                            return <li key={index}>
                                {((breadcrumbItem.link != "") ? <Link href={breadcrumbItem.link}><span dangerouslySetInnerHTML={{__html: breadcrumbItem.title}}></span></Link> : <span dangerouslySetInnerHTML={{__html: breadcrumbItem.title}}></span>)}
                            </li>
                        })}
                    </ul>
                </div>
                </div>
            </div>
        </section>
    ) 
}
export default AboutBreadcrumb;




