import styles from "../../styles/cmspage/Mainbannertitle.module.scss";

const OurExpertMain = ({ optionData, homeResponse }) => {
  return (
    <section className={styles.root}>
      <div className="cms-banner">
        <div className={styles.wrapper}>
          <div
            className="cms-banner-section"
            style={{
              backgroundImage: optionData ? `url(${optionData.acf.defaultBannerImage.sizes.expertListingImg})` : "",
            }}
          >
            <div className="banner-text view-less-pos">
              <h2 className="page-tittle">
                {homeResponse && homeResponse.title.rendered ? homeResponse.title.rendered : ""}
              </h2>
              <div
                className="read-more js-read-more readmore-content"
                data-rm-words={30}
                dangerouslySetInnerHTML={{
                  __html: homeResponse && homeResponse.content.rendered ? homeResponse.content.rendered : "",
                }}
              ></div>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default OurExpertMain;
