import React, { useEffect } from 'react';
import { useDispatch, useSelector } from 'react-redux';
//import InstagramFeed from '../../components/home/InstagramFeed';
import CommonLoginBanner from '../../components/my-account/CommonLoginBanner';
import EditAccountMain from '../../components/my-account/EditAccountMain';
import Login from '../../components/my-account/login';
import FulllPageLoader from '../../components/Common/FulllPageLoader';
import Layout from 'components/Layout';

export default function EditAccount() {

  const { userIsLogin, userIsLoading, userData } = useSelector(state => state.user);

  return (
    (userIsLogin) ?
      <Layout>
        <>
          <CommonLoginBanner userData={userData} />
          <EditAccountMain userData={userData} />
          {/* <InstagramFeed /> */}
        </>
      </Layout>
      :
      <Layout>
        <>
          <Login />
          {/*   <InstagramFeed /> */}
        </>
      </Layout>
  )

};
