import React from 'react';
import { useDispatch, useSelector } from 'react-redux';
//import InstagramFeed from '../../components/home/InstagramFeed';
import CommonLoginBanner from '../../components/my-account/CommonLoginBanner';
import EditAddressMain from '../../components/my-account/EditAddressMain';
import Login from '../../components/my-account/login';
import FulllPageLoader from '../../components/Common/FulllPageLoader';
import Layout from 'components/Layout';

const EditAddress = () => {

  const { userIsLogin,userIsLoading, userData } = useSelector(state => state.user);

  return (
    (
      (userIsLogin) ? 
      <Layout>
        <>
          <CommonLoginBanner userData={userData} /> 
          <EditAddressMain userData={userData} />
         {/*  <InstagramFeed /> */}
        </> 
        </Layout>
      :
        <Layout>
        <>
          <Login />
         {/*  <InstagramFeed /> */}
        </>
        </Layout>
    )

    
  );
};

export default EditAddress;