"use strict";
exports.id = 1822;
exports.ids = [1822];
exports.modules = {

/***/ 1822:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ components_LanguageDropdown)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
var image_default = /*#__PURE__*/__webpack_require__.n(next_image);
// EXTERNAL MODULE: ./node_modules/js-cookie/dist/js.cookie.mjs
var js_cookie = __webpack_require__(1955);
// EXTERNAL MODULE: ./src/components/Header/Header.module.scss
var Header_module = __webpack_require__(2298);
var Header_module_default = /*#__PURE__*/__webpack_require__.n(Header_module);
;// CONCATENATED MODULE: ./public/images/en.svg
/* harmony default export */ const en = ({"src":"/_next/static/media/en.9854681b.svg","height":480,"width":640});
;// CONCATENATED MODULE: ./public/images/zh-CN.svg
/* harmony default export */ const zh_CN = ({"src":"/_next/static/media/zh-CN.92f6fd49.svg","height":600,"width":800});
;// CONCATENATED MODULE: ./public/images/fr.svg
/* harmony default export */ const fr = ({"src":"/_next/static/media/fr.d94444f5.svg","height":480,"width":640});
;// CONCATENATED MODULE: ./public/images/de.svg
/* harmony default export */ const de = ({"src":"/_next/static/media/de.091d9a6e.svg","height":480,"width":640});
;// CONCATENATED MODULE: ./public/images/ja.svg
/* harmony default export */ const ja = ({"src":"/_next/static/media/ja.54d07b6f.svg","height":480,"width":640});
;// CONCATENATED MODULE: ./public/images/pt.svg
/* harmony default export */ const pt = ({"src":"/_next/static/media/pt.7409b293.svg","height":480,"width":640});
;// CONCATENATED MODULE: ./public/images/es.svg
/* harmony default export */ const es = ({"src":"/_next/static/media/es.d4de2b2c.svg","height":480,"width":640});
;// CONCATENATED MODULE: ./src/components/LanguageDropdown/index.js












const LanguageDropdown = ()=>{
    const [isToggleDropdown, setIsToggleDropdown] = (0,external_react_.useState)(false);
    const googleTranslateElementInit = ()=>{
        // setCookie('googtrans', '/en', 1);
        new window.google.translate.TranslateElement({
            pageLanguage: "en",
            includedLanguages: "en,zh-CN,fr,de,ja,pt,es",
            layout: window.google.translate.TranslateElement.InlineLayout.SIMPLE,
            autoDisplay: true,
            multilanguagePage: true
        }, "google_translate_element");
    };
    const handleTranslateChange = (lang)=>{
        js_cookie/* default.remove */.Z.remove("googtrans");
        setCookie("googtrans", "/en/" + lang, 1);
        //triggerHtmlEvent(lang, 'change')
        window.location.reload();
    };
    function setCookie(key, value, expiry) {
        var expires = new Date();
        expires.setTime(expires.getTime() + expiry * 24 * 60 * 60 * 1000);
        document.cookie = key + "=" + value + ";expires=" + expires.toUTCString();
    }
    const langToggleDropdown = (val)=>{
        setIsToggleDropdown(val);
    };
    (0,external_react_.useEffect)(()=>{
        setTimeout(()=>{
            var addScript = document.createElement("script");
            addScript.setAttribute("src", "//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit");
            document.body.appendChild(addScript);
            window.googleTranslateElementInit = googleTranslateElementInit;
        }, 7000);
    }, []);
    return /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
        className: isToggleDropdown ? (Header_module_default()).language + " " + (Header_module_default()).dropOpen : (Header_module_default()).language,
        onClick: ()=>langToggleDropdown(!isToggleDropdown),
        children: [
            js_cookie/* default.get */.Z.get("googtrans") == "/en/zh-CN" ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                className: (Header_module_default()).selectedLang,
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        height: 24,
                        width: 24,
                        src: zh_CN,
                        alt: "Chinese Flag"
                    }),
                    "Chinese (Simplified)"
                ]
            }) : js_cookie/* default.get */.Z.get("googtrans") == "/en/fr" ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                className: (Header_module_default()).selectedLang,
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        height: 24,
                        width: 24,
                        src: fr,
                        alt: "France Flag"
                    }),
                    "French"
                ]
            }) : js_cookie/* default.get */.Z.get("googtrans") == "/en/de" ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                className: (Header_module_default()).selectedLang,
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        height: 24,
                        width: 24,
                        src: de,
                        alt: "German Flag"
                    }),
                    "German"
                ]
            }) : js_cookie/* default.get */.Z.get("googtrans") == "/en/ja" ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                className: (Header_module_default()).selectedLang,
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        height: 24,
                        width: 24,
                        src: ja,
                        alt: "Japan Flag"
                    }),
                    "Japanese"
                ]
            }) : js_cookie/* default.get */.Z.get("googtrans") == "/en/pt" ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                className: (Header_module_default()).selectedLang,
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        height: 24,
                        width: 24,
                        src: pt,
                        alt: "Port Flag"
                    }),
                    "Portuguese"
                ]
            }) : js_cookie/* default.get */.Z.get("googtrans") == "/en/es" ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                className: (Header_module_default()).selectedLang,
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        height: 24,
                        width: 24,
                        src: es,
                        alt: "Spain Flag"
                    }),
                    "Spanish"
                ]
            }) : /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                className: (Header_module_default()).selectedLang,
                "data-lang": "en",
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        height: 24,
                        width: 24,
                        src: en,
                        alt: "Eng Flag"
                    }),
                    "English"
                ]
            }),
            /*#__PURE__*/ jsx_runtime_.jsx("div", {
                className: (Header_module_default()).languageInnerBlock,
                children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                    className: (Header_module_default()).translationLinks + " " + (Header_module_default()).notranslate,
                    children: [
                        !js_cookie/* default.get */.Z.get("googtrans") || js_cookie/* default.get */.Z.get("googtrans") !== "/en/en" && /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                            className: "english",
                            onClick: ()=>{
                                handleTranslateChange("en");
                            },
                            "data-lang": "en",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                    height: 24,
                                    width: 24,
                                    src: en,
                                    alt: "Eng Flag"
                                }),
                                "English"
                            ]
                        }),
                        js_cookie/* default.get */.Z.get("googtrans") !== "/en/zh-CN" && /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                            className: "english",
                            onClick: ()=>{
                                handleTranslateChange("zh-CN");
                            },
                            "data-lang": "zh-CN",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                    height: 24,
                                    width: 24,
                                    src: zh_CN,
                                    alt: "Chinese Flag"
                                }),
                                "Chinese (Simplified)"
                            ]
                        }),
                        js_cookie/* default.get */.Z.get("googtrans") !== "/en/fr" && /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                            className: "spanish",
                            onClick: ()=>{
                                handleTranslateChange("fr");
                            },
                            "data-lang": "fr",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                    height: 24,
                                    width: 24,
                                    src: fr,
                                    alt: "France Flag"
                                }),
                                "French"
                            ]
                        }),
                        js_cookie/* default.get */.Z.get("googtrans") !== "/en/de" && /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                            className: "french",
                            onClick: ()=>{
                                handleTranslateChange("de");
                            },
                            "data-lang": "de",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                    height: 24,
                                    width: 24,
                                    src: de,
                                    alt: "German Flag"
                                }),
                                "German"
                            ]
                        }),
                        js_cookie/* default.get */.Z.get("googtrans") !== "/en/ja" && /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                            className: "german",
                            onClick: ()=>{
                                handleTranslateChange("ja");
                            },
                            "data-lang": "ja",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                    height: 24,
                                    width: 24,
                                    src: ja,
                                    alt: "Japan Flag"
                                }),
                                "Japanese"
                            ]
                        }),
                        js_cookie/* default.get */.Z.get("googtrans") !== "/en/pt" && /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                            className: "german",
                            onClick: ()=>{
                                handleTranslateChange("pt");
                            },
                            "data-lang": "pt",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                    height: 24,
                                    width: 24,
                                    src: pt,
                                    alt: "Port Flag"
                                }),
                                "Portuguese"
                            ]
                        }),
                        js_cookie/* default.get */.Z.get("googtrans") !== "/en/es" && /*#__PURE__*/ (0,jsx_runtime_.jsxs)("a", {
                            className: "german",
                            onClick: ()=>{
                                handleTranslateChange("es");
                            },
                            "data-lang": "es",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                    height: 24,
                                    width: 24,
                                    src: es,
                                    alt: "Spain Flag"
                                }),
                                "Spanish"
                            ]
                        })
                    ]
                })
            })
        ]
    });
};
/* harmony default export */ const components_LanguageDropdown = (LanguageDropdown);


/***/ })

};
;