"use strict";
exports.id = 2037;
exports.ids = [2037];
exports.modules = {

/***/ 320:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6022);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1664);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_link__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_slick__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8096);
/* harmony import */ var react_slick__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_slick__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _services__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2934);
/* harmony import */ var _popup_AddToBasket__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(2169);
/* harmony import */ var _Common_UrlReplace__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4304);
/* harmony import */ var _Common_AddToCart__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(5892);
/* harmony import */ var slick_carousel_slick_slick_css__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(8278);
/* harmony import */ var slick_carousel_slick_slick_css__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(slick_carousel_slick_slick_css__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var slick_carousel_slick_slick_theme_css__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(782);
/* harmony import */ var slick_carousel_slick_slick_theme_css__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(slick_carousel_slick_slick_theme_css__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(5402);
/* harmony import */ var _styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12__);













const NewArrivalOurStore = ({ ourStoreData  })=>{
    const [productsByCondition, setProductsByCondition] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)([]);
    const [productData, setProductData] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)({});
    const [modalIsOpen, setIsOpen] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    function openModal(productItemObj) {
        setProductData(productItemObj);
        setIsOpen(true);
    }
    function closeModal() {
        setIsOpen(false);
    }
    var settings = {
        dots: false,
        arrows: true,
        infinite: true,
        loop: true,
        autoplay: true,
        autoplayspeed: 3000,
        slidesToShow: 4,
        slidesToScroll: 1,
        responsive: [
            {
                breakpoint: 1024,
                settings: {
                    slidesToShow: 3
                }
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1
                }
            }
        ]
    };
    const handleProductsByCondition = async ()=>{
        try {
            const productsByConditionResponse = await (0,_services__WEBPACK_IMPORTED_MODULE_6__/* .fetchProductsByCondition */ .LW)();
            setProductsByCondition(productsByConditionResponse);
        } catch (e) {}
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        handleProductsByCondition();
    }, []);
    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("section", {
        className: (_styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12___default().root),
        children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
            className: (_styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12___default().wrapper),
            children: [
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                    className: "new-arrivals-part",
                    children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                        className: "home-arrivals-section",
                        children: [
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                children: "New Arrivals"
                            }),
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("p", {
                                children: ourStoreData.acf.newArrivalsContent
                            }),
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_3___default()), {
                                className: "view-all",
                                href: "/shop",
                                children: "VIEW ALL"
                            })
                        ]
                    })
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                    className: (_styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12___default().newArrivalProducts),
                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((react_slick__WEBPACK_IMPORTED_MODULE_5___default()), {
                        ...settings,
                        children: productsByCondition && productsByCondition.map((productsByConditionItem, index)=>{
                            return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                className: (_styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12___default().imageBox),
                                children: [
                                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                        className: (_styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12___default().productBlock),
                                        children: [
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                href: (0,_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Z)(productsByConditionItem["link"]),
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_4___default()), {
                                                    width: 330,
                                                    height: 345,
                                                    sizes: "100vw",
                                                    src: productsByConditionItem["image"],
                                                    alt: productsByConditionItem["name"]
                                                })
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                href: (0,_Common_UrlReplace__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Z)(productsByConditionItem["link"]),
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("p", {
                                                    children: productsByConditionItem["name"]
                                                })
                                            }),
                                            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("span", {
                                                className: (_styles_cmspage_Ourexpertsingleinfo_module_scss__WEBPACK_IMPORTED_MODULE_12___default().price),
                                                children: [
                                                    "\xa3",
                                                    productsByConditionItem["price"]
                                                ]
                                            })
                                        ]
                                    }),
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_Common_AddToCart__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                                        product: productsByConditionItem,
                                        openModal: openModal,
                                        page: "home"
                                    })
                                ]
                            }, index);
                        })
                    })
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_popup_AddToBasket__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Z, {
                    productData: productData,
                    modalIsOpen: modalIsOpen,
                    closeModal: closeModal
                })
            ]
        })
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (NewArrivalOurStore);


/***/ })

};
;