"use strict";
exports.id = 6451;
exports.ids = [6451];
exports.modules = {

/***/ 6451:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var next_head__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(968);
/* harmony import */ var next_head__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(next_head__WEBPACK_IMPORTED_MODULE_1__);


function PageMetaData({ yoastHeadJson =null , pageTitle =null , media =""  }) {
    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_head__WEBPACK_IMPORTED_MODULE_1___default()), {
        children: pageTitle != null ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("title", {
            children: pageTitle
        }) : yoastHeadJson ? /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
            children: [
                /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("title", {
                    children: [
                        yoastHeadJson.title,
                        " "
                    ]
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    name: "description",
                    content: yoastHeadJson.description
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("link", {
                    rel: "canonical",
                    href: yoastHeadJson.canonical && yoastHeadJson.canonical.replace(process.env.ADMIN_REPLACE_URL, "https://admin.wwmain.cda-development3.co.uk/")
                }),
                media != "" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("link", {
                    rel: "preload",
                    as: "image",
                    href: media.url,
                    imagesrcset: srcset,
                    imagesizes: "50vw"
                }) : "",
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    property: "og:locale",
                    content: yoastHeadJson.og_locale && yoastHeadJson.og_locale
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    property: "og:type",
                    content: yoastHeadJson.og_type && yoastHeadJson.og_type
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    property: "og:title",
                    content: yoastHeadJson.og_title && yoastHeadJson.og_title
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    property: "og:description",
                    content: yoastHeadJson.og_description && yoastHeadJson.og_description
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    property: "og:url",
                    content: yoastHeadJson.og_url && yoastHeadJson.og_url.replace(process.env.ADMIN_REPLACE_URL, "https://admin.wwmain.cda-development3.co.uk/")
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    property: "og:site_name",
                    content: yoastHeadJson.og_siteName && yoastHeadJson.og_siteName
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    property: "article:modified_time",
                    content: yoastHeadJson.article_modified_time && yoastHeadJson.article_modified_time
                }),
                yoastHeadJson && yoastHeadJson.og_image && yoastHeadJson.og_image.map((ogImageItem, index)=>{
                    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                        property: "og:image",
                        content: ogImageItem.url
                    }, index);
                }),
                yoastHeadJson && yoastHeadJson.og_image && yoastHeadJson.og_image.map((ogImageItem, index)=>{
                    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                        property: "og:image:width",
                        content: ogImageItem.width
                    }, index);
                }),
                yoastHeadJson && yoastHeadJson.og_image && yoastHeadJson.og_image.map((ogImageItem, index)=>{
                    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                        property: "og:image:height",
                        content: ogImageItem.height
                    }, index);
                }),
                yoastHeadJson && yoastHeadJson.og_image && yoastHeadJson.og_image.map((ogImageItem, index)=>{
                    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                        property: "og:image:type",
                        content: ogImageItem.type
                    }, index);
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    name: "twitter:card",
                    content: yoastHeadJson.twitter_card
                }),
                yoastHeadJson.twitter_misc ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    name: "twitter:label1",
                    content: "Estimated reading time"
                }) : "",
                yoastHeadJson.twitter_misc ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    name: "twitter:data1",
                    content: yoastHeadJson.twitter_misc.estimated_reading_time
                }) : "",
                yoastHeadJson.twitter_misc && yoastHeadJson.twitter_misc.written_by ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    name: "twitter:label2",
                    content: "Written by"
                }) : "",
                yoastHeadJson.twitter_misc && yoastHeadJson.twitter_misc.written_by ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("meta", {
                    name: "twitter:data2",
                    content: yoastHeadJson.twitter_misc.written_by
                }) : "",
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("script", {
                    type: "application/ld+json",
                    className: "yoast-schema-graph",
                    children: JSON.stringify(yoastHeadJson.schema).replaceAll(process.env.ADMIN_REPLACE_URL, "https://admin.wwmain.cda-development3.co.uk/")
                })
            ]
        }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("title", {
            children: "Antique Silver Dealers | William Walter"
        })
    });
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (PageMetaData);


/***/ })

};
;