"use strict";
exports.id = 685;
exports.ids = [685];
exports.modules = {

/***/ 685:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1664);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(next_link__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _UrlReplace__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4304);
/* harmony import */ var _styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5599);
/* harmony import */ var _styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _services__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2934);







const StoreMakerExpert = ({ expertAboutList  })=>{
    const [optionData, setOptionData] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
    const handleOptionApi = async ()=>{
        const optionResponse = await (0,_services__WEBPACK_IMPORTED_MODULE_5__/* .fetchOptionByParams */ .fA)("acf.expert_about_list");
        if (optionResponse) {
            setOptionData(optionResponse);
        }
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        handleOptionApi();
    }, []);
    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
        className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().ourStorySection) + " " + (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().storeMaker),
        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
            className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().wrapper),
            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().bgColorSection),
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                    className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().threeBlockSection),
                    children: optionData && optionData.acf && optionData.acf.expertAboutList.map((aboutListItem, index)=>{
                        return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                            className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().mainBlock),
                            children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().block),
                                children: [
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                        className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().imagePart),
                                        children: aboutListItem.pageLink.buttonLinkType == "internal" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                            href: (0,_UrlReplace__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z)(aboutListItem.pageLink.internalLink),
                                            className: "image-hover-link",
                                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                width: 258,
                                                height: 333,
                                                className: "img",
                                                sizes: "100vw",
                                                src: aboutListItem.sectionImage.sizes.homeAboutBlogsImage,
                                                alt: "General-Image-" + Number(index + 1)
                                            })
                                        }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("a", {
                                            href: aboutListItem.pageLink.externalLink,
                                            target: "_blank",
                                            className: "image-hover-link",
                                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                                width: 258,
                                                height: 333,
                                                className: "img",
                                                sizes: "100vw",
                                                src: aboutListItem.sectionImage.sizes.homeAboutBlogsImage,
                                                alt: "General-Image-" + Number(index + 1)
                                            })
                                        })
                                    }),
                                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                        className: (_styles_components_Storemaker_module_scss__WEBPACK_IMPORTED_MODULE_6___default().textPart),
                                        children: [
                                            aboutListItem.pageLink.buttonLinkType == "internal" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_link__WEBPACK_IMPORTED_MODULE_2___default()), {
                                                href: (0,_UrlReplace__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z)(aboutListItem.pageLink.internalLink),
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                                    children: aboutListItem.pageLink.buttonText
                                                })
                                            }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("a", {
                                                href: aboutListItem.pageLink.externalLink,
                                                target: "_blank",
                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("h2", {
                                                    children: aboutListItem.pageLink.buttonText
                                                })
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("p", {
                                                children: aboutListItem.content
                                            })
                                        ]
                                    })
                                ]
                            })
                        }, index);
                    })
                })
            })
        })
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (StoreMakerExpert);


/***/ })

};
;