(() => {
var exports = {};
exports.id = 2888;
exports.ids = [2888];
exports.modules = {

/***/ 1152:
/***/ ((module) => {

// Exports
module.exports = {
	"progressbarColor": "#000"
};


/***/ }),

/***/ 2545:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ App)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: ./node_modules/next/app.js
var app = __webpack_require__(7544);
var app_default = /*#__PURE__*/__webpack_require__.n(app);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(6022);
// EXTERNAL MODULE: external "@reduxjs/toolkit"
var toolkit_ = __webpack_require__(5184);
;// CONCATENATED MODULE: external "redux"
const external_redux_namespaceObject = require("redux");
;// CONCATENATED MODULE: external "redux-logger"
const external_redux_logger_namespaceObject = require("redux-logger");
var external_redux_logger_default = /*#__PURE__*/__webpack_require__.n(external_redux_logger_namespaceObject);
;// CONCATENATED MODULE: ./src/reducer/headerMenuSlice.js

const initialState = {
    headerIsLoading: true,
    headerMenuData: [],
    headerError: ""
};
const headerMenuSlice = (0,toolkit_.createSlice)({
    name: "headerMenu",
    initialState,
    reducers: {
        headerMenuPending: (state)=>{
            state.headerIsLoading = true;
            state.headerError = "";
        },
        headerMenuSuccess: (state, { payload  })=>{
            state.headerIsLoading = false;
            state.headerMenuData = payload;
        },
        headerMenuFail: (state, { payload  })=>{
            state.headerIsLoading = false;
            state.headerError = payload;
        }
    }
});
const { reducer , actions  } = headerMenuSlice;
const { headerMenuPending , headerMenuSuccess , headerMenuFail  } = actions;
/* harmony default export */ const reducer_headerMenuSlice = (reducer);

;// CONCATENATED MODULE: ./src/reducer/topMenuSlice.js

const topMenuSlice_initialState = {
    topIsLoading: true,
    topMenuData: [],
    topError: ""
};
const topMenuSlice = (0,toolkit_.createSlice)({
    name: "topMenu",
    initialState: topMenuSlice_initialState,
    reducers: {
        topMenuPending: (state)=>{
            state.topIsLoading = true;
            state.topError = "";
        },
        topMenuSuccess: (state, { payload  })=>{
            state.topIsLoading = false;
            state.topMenuData = payload;
        },
        topMenuFail: (state, { payload  })=>{
            state.topIsLoading = false;
            state.topError = payload;
        }
    }
});
const { reducer: topMenuSlice_reducer , actions: topMenuSlice_actions  } = topMenuSlice;
const { topMenuPending , topMenuSuccess , topMenuFail  } = topMenuSlice_actions;
/* harmony default export */ const reducer_topMenuSlice = (topMenuSlice_reducer);

;// CONCATENATED MODULE: ./src/reducer/footerMenuSlice.js

const footerMenuSlice_initialState = {
    footerIsLoading: true,
    footerFirstMenuData: [],
    footerSecondMenuData: [],
    footerError: ""
};
const footerMenuSlice = (0,toolkit_.createSlice)({
    name: "footerMenu",
    initialState: footerMenuSlice_initialState,
    reducers: {
        footerMenuPending: (state)=>{
            state.footerIsLoading = true;
            state.footerError = "";
        },
        footerMenuSuccess: (state, { payload  })=>{
            state.footerIsLoading = false;
            if (payload.slug == "footer-menu-1") {
                state.footerFirstMenuData = payload;
            } else {
                state.footerSecondMenuData = payload;
            }
        },
        footerMenuFail: (state, { payload  })=>{
            state.footerIsLoading = false;
            state.footerError = payload;
        }
    }
});
const { reducer: footerMenuSlice_reducer , actions: footerMenuSlice_actions  } = footerMenuSlice;
const { footerMenuPending , footerMenuSuccess , footerMenuFail  } = footerMenuSlice_actions;
/* harmony default export */ const reducer_footerMenuSlice = (footerMenuSlice_reducer);

;// CONCATENATED MODULE: ./src/reducer/homeSlice.js

const homeSlice_initialState = {
    homeIsLoading: true,
    homeData: [],
    homeError: ""
};
const homeSlice = (0,toolkit_.createSlice)({
    name: "home",
    initialState: homeSlice_initialState,
    reducers: {
        homePending: (state)=>{
            state.homeIsLoading = true;
            state.homeError = "";
        },
        homeSuccess: (state, { payload  })=>{
            state.homeIsLoading = false;
            state.homeData = payload;
        },
        homeFail: (state, { payload  })=>{
            state.homeIsLoading = false;
            state.homeError = payload;
        }
    }
});
const { reducer: homeSlice_reducer , actions: homeSlice_actions  } = homeSlice;
const { homePending , homeSuccess , homeFail  } = homeSlice_actions;
/* harmony default export */ const reducer_homeSlice = (homeSlice_reducer);

;// CONCATENATED MODULE: ./src/reducer/aboutUsSlice.js

const aboutUsSlice_initialState = {
    aboutUsIsLoading: true,
    aboutUsData: [],
    aboutUsError: ""
};
const aboutUsSlice = (0,toolkit_.createSlice)({
    name: "aboutUs",
    initialState: aboutUsSlice_initialState,
    reducers: {
        aboutUsPending: (state)=>{
            state.aboutUsIsLoading = true;
            state.aboutUsError = "";
        },
        aboutUsSuccess: (state, { payload  })=>{
            state.aboutUsIsLoading = false;
            state.aboutUsData = payload;
        },
        aboutUsFail: (state, { payload  })=>{
            state.aboutUsIsLoading = false;
            state.aboutUsError = payload;
        }
    }
});
const { reducer: aboutUsSlice_reducer , actions: aboutUsSlice_actions  } = aboutUsSlice;
const { aboutUsPending , aboutUsSuccess , aboutUsFail  } = aboutUsSlice_actions;
/* harmony default export */ const reducer_aboutUsSlice = (aboutUsSlice_reducer);

;// CONCATENATED MODULE: ./src/reducer/newsSlice.js

const newsSlice_initialState = {
    newsIsLoading: true,
    newsData: [],
    newsError: ""
};
const newsSlice = (0,toolkit_.createSlice)({
    name: "news",
    initialState: newsSlice_initialState,
    reducers: {
        newsPending: (state)=>{
            state.newsIsLoading = true;
            state.newsError = "";
        },
        newsSuccess: (state, { payload  })=>{
            state.newsIsLoading = false;
            state.newsData = payload;
        },
        newsFail: (state, { payload  })=>{
            state.newsIsLoading = false;
            state.newsError = payload;
        }
    }
});
const { reducer: newsSlice_reducer , actions: newsSlice_actions  } = newsSlice;
const { newsPending , newsSuccess , newsFail  } = newsSlice_actions;
/* harmony default export */ const reducer_newsSlice = (newsSlice_reducer);

// EXTERNAL MODULE: ./src/reducer/categoriesSlice.js
var categoriesSlice = __webpack_require__(1070);
;// CONCATENATED MODULE: ./src/reducer/ourExpertSlice.js

const ourExpertSlice_initialState = {
    ourExpertIsLoading: true,
    ourExpertData: [],
    ourExpertError: ""
};
const ourExpertSlice = (0,toolkit_.createSlice)({
    name: "ourExpert",
    initialState: ourExpertSlice_initialState,
    reducers: {
        ourExpertPending: (state)=>{
            state.ourExpertIsLoading = true;
            state.ourExpertError = "";
        },
        ourExpertSuccess: (state, { payload  })=>{
            state.ourExpertIsLoading = false;
            state.ourExpertData = payload;
        },
        ourExpertFail: (state, { payload  })=>{
            state.ourExpertIsLoading = false;
            state.ourExpertError = payload;
        }
    }
});
const { reducer: ourExpertSlice_reducer , actions: ourExpertSlice_actions  } = ourExpertSlice;
const { ourExpertPending , ourExpertSuccess , ourExpertFail  } = ourExpertSlice_actions;
/* harmony default export */ const reducer_ourExpertSlice = (ourExpertSlice_reducer);

// EXTERNAL MODULE: ./src/reducer/woocommerceSlice.js
var woocommerceSlice = __webpack_require__(3658);
// EXTERNAL MODULE: ./src/reducer/userSlice.js
var userSlice = __webpack_require__(5585);
;// CONCATENATED MODULE: ./src/reducer/contactUsSlice.js

const contactUsSlice_initialState = {
    contactUsIsLoading: true,
    contactUsData: [],
    contactUsError: ""
};
const contactUsSlice = (0,toolkit_.createSlice)({
    name: "contactUs",
    initialState: contactUsSlice_initialState,
    reducers: {
        contactUsPending: (state)=>{
            state.contactUsIsLoading = true;
            state.contactUsError = "";
        },
        contactUsSuccess: (state, { payload  })=>{
            state.contactUsIsLoading = false;
            state.contactUsData = payload;
        },
        contactUsFail: (state, { payload  })=>{
            state.contactUsIsLoading = false;
            state.contactUsError = payload;
        }
    }
});
const { reducer: contactUsSlice_reducer , actions: contactUsSlice_actions  } = contactUsSlice;
const { contactUsPending , contactUsSuccess , contactUsFail  } = contactUsSlice_actions;
/* harmony default export */ const reducer_contactUsSlice = (contactUsSlice_reducer);

// EXTERNAL MODULE: ./src/reducer/productCategoriesSlice.js
var productCategoriesSlice = __webpack_require__(5869);
;// CONCATENATED MODULE: ./src/lib/store.js






//import generalSettingsSlice from '../reducer/generalSettingsSlice';









const middlewares = [
    (external_redux_logger_default())
];
const rootReducer = (0,toolkit_.combineReducers)({
    headerMenu: reducer_headerMenuSlice,
    topMenu: reducer_topMenuSlice,
    footerMenu: reducer_footerMenuSlice,
    //generalSettings: generalSettingsSlice,
    homePage: reducer_homeSlice,
    aboutUsPage: reducer_aboutUsSlice,
    newsPage: reducer_newsSlice,
    categoriesPage: categoriesSlice/* default */.ZP,
    ourExpertPage: reducer_ourExpertSlice,
    woocommerce: woocommerceSlice/* default */.ZP,
    user: userSlice/* default */.ZP,
    contactUsPage: reducer_contactUsSlice,
    productCategories: productCategoriesSlice/* default */.ZP
});
// const rootReducer = (state, action) => {
//   return combinedReducer(state, action);
// };
// export const store = configureStore({
//   reducer: rootReducer,
//   middleware: getDefaultMiddleware => getDefaultMiddleware(),
// });
const store = (0,external_redux_namespaceObject.createStore)(rootReducer, (0,external_redux_namespaceObject.applyMiddleware)(...middlewares));
/* harmony default export */ const lib_store = (store);

// EXTERNAL MODULE: ./src/hooks/use-site.js + 2 modules
var use_site = __webpack_require__(9112);
;// CONCATENATED MODULE: external "nextjs-progressbar"
const external_nextjs_progressbar_namespaceObject = require("nextjs-progressbar");
var external_nextjs_progressbar_default = /*#__PURE__*/__webpack_require__.n(external_nextjs_progressbar_namespaceObject);
// EXTERNAL MODULE: ./src/services/index.js + 2 modules
var services = __webpack_require__(2934);
// EXTERNAL MODULE: ./src/styles/globals.scss
var globals = __webpack_require__(6961);
// EXTERNAL MODULE: ./src/styles/wordpress.scss
var wordpress = __webpack_require__(1764);
// EXTERNAL MODULE: ./src/styles/_variables.module.scss
var _variables_module = __webpack_require__(1152);
var _variables_module_default = /*#__PURE__*/__webpack_require__.n(_variables_module);
;// CONCATENATED MODULE: ./src/pages/_app.js



// import { createWrapper,withRedux } from "next-redux-wrapper";







function App({ Component , pageProps ={} , metadata , headerMenuData , topMenuData  }) {
    const site = (0,use_site/* useSiteContext */.AA)({
        metadata,
        headerMenuData,
        topMenuData
    });
    return /*#__PURE__*/ jsx_runtime_.jsx(external_react_redux_.Provider, {
        store: lib_store,
        children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)(use_site/* SiteContext.Provider */.DN.Provider, {
            value: site,
            children: [
                /*#__PURE__*/ jsx_runtime_.jsx((external_nextjs_progressbar_default()), {
                    height: 4,
                    color: (_variables_module_default()).progressbarColor
                }),
                /*#__PURE__*/ jsx_runtime_.jsx(Component, {
                    ...pageProps
                })
            ]
        })
    });
}
App.getInitialProps = async function(appContext) {
    const appProps = await app_default().getInitialProps(appContext);
    const headerMenuData = await (0,services/* fetchMenuBySlug */.LA)("header-menu");
    const topMenuData = await (0,services/* fetchMenuBySlug */.LA)("top-menu");
    return {
        ...appProps,
        headerMenuData,
        topMenuData
    };
};


/***/ }),

/***/ 1070:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "YK": () => (/* binding */ categoriesFail),
/* harmony export */   "ZP": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "_n": () => (/* binding */ categoriesPending),
/* harmony export */   "x": () => (/* binding */ categoriesSuccess)
/* harmony export */ });
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);

const initialState = {
    categoriesIsLoading: true,
    categoriesData: [],
    categoriesError: ""
};
const categoriesSlice = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSlice)({
    name: "categories",
    initialState,
    reducers: {
        categoriesPending: (state)=>{
            state.categoriesIsLoading = true;
            state.categoriesError = "";
        },
        categoriesSuccess: (state, { payload  })=>{
            state.categoriesIsLoading = false;
            state.categoriesData = payload;
        },
        categoriesFail: (state, { payload  })=>{
            state.categoriesIsLoading = false;
            state.categoriesError = payload;
        }
    }
});
const { reducer , actions  } = categoriesSlice;
const { categoriesPending , categoriesSuccess , categoriesFail  } = actions;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (reducer);


/***/ }),

/***/ 5869:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ZP": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "x": () => (/* binding */ categoriesSuccess)
/* harmony export */ });
/* unused harmony exports categoriesPending, categoriesFail */
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);

const initialState = {
    categoriesIsLoading: true,
    categoriesData: [],
    categoriesError: ""
};
const productCategoriesSlice = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSlice)({
    name: "productcat",
    initialState,
    reducers: {
        categoriesPending: (state)=>{
            state.categoriesIsLoading = true;
            state.categoriesError = "";
        },
        categoriesSuccess: (state, { payload  })=>{
            state.categoriesIsLoading = false;
            state.categoriesData = payload;
        },
        categoriesFail: (state, { payload  })=>{
            state.categoriesIsLoading = false;
            state.categoriesError = payload;
        }
    }
});
const { reducer , actions  } = productCategoriesSlice;
const { categoriesPending , categoriesSuccess , categoriesFail  } = actions;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (reducer);


/***/ }),

/***/ 6961:
/***/ (() => {



/***/ }),

/***/ 1764:
/***/ (() => {



/***/ }),

/***/ 5184:
/***/ ((module) => {

"use strict";
module.exports = require("@reduxjs/toolkit");

/***/ }),

/***/ 1239:
/***/ ((module) => {

"use strict";
module.exports = require("events");

/***/ }),

/***/ 6953:
/***/ ((module) => {

"use strict";
module.exports = require("follow-redirects");

/***/ }),

/***/ 8941:
/***/ ((module) => {

"use strict";
module.exports = require("form-data");

/***/ }),

/***/ 6517:
/***/ ((module) => {

"use strict";
module.exports = require("lodash");

/***/ }),

/***/ 9232:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/utils.js");

/***/ }),

/***/ 3149:
/***/ ((module) => {

"use strict";
module.exports = require("proxy-from-env");

/***/ }),

/***/ 6689:
/***/ ((module) => {

"use strict";
module.exports = require("react");

/***/ }),

/***/ 6022:
/***/ ((module) => {

"use strict";
module.exports = require("react-redux");

/***/ }),

/***/ 997:
/***/ ((module) => {

"use strict";
module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 6464:
/***/ ((module) => {

"use strict";
module.exports = require("util");

/***/ }),

/***/ 3685:
/***/ ((module) => {

"use strict";
module.exports = require("http");

/***/ }),

/***/ 5687:
/***/ ((module) => {

"use strict";
module.exports = require("https");

/***/ }),

/***/ 2781:
/***/ ((module) => {

"use strict";
module.exports = require("stream");

/***/ }),

/***/ 7310:
/***/ ((module) => {

"use strict";
module.exports = require("url");

/***/ }),

/***/ 9796:
/***/ ((module) => {

"use strict";
module.exports = require("zlib");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [2442,7544,1684,3658], () => (__webpack_exec__(2545)));
module.exports = __webpack_exports__;

})();