"use strict";
(() => {
var exports = {};
exports.id = 1337;
exports.ids = [1337];
exports.modules = {

/***/ 5627:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"src":"/_next/static/media/round-loader.b36b90d4.svg","height":100,"width":100});

/***/ }),

/***/ 7728:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5306);

const AddressApi = ({ endpoint , method ="GET" , params ={} , body =undefined  })=>{
    const searchParams = new URLSearchParams(params);
    return new Promise((resolve, reject)=>{
        (0,axios__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Z)(`${"https://admin.wwmain.cda-development3.co.uk/backend/wp-json/"}${endpoint}?${searchParams}`, {
            method,
            credentials: "include",
            body: body && JSON.stringify(body),
            headers: body && {
                "Content-Type": "application/json"
            }
        }).then((response)=>response.data).then((result)=>{
            return resolve(result);
        }).catch((err)=>{
            return reject(err);
        });
    });
};
//testing
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (AddressApi);


/***/ }),

/***/ 9693:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ edit_address)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(6022);
// EXTERNAL MODULE: ./src/components/my-account/CommonLoginBanner.js
var CommonLoginBanner = __webpack_require__(1795);
// EXTERNAL MODULE: ./node_modules/next/link.js
var next_link = __webpack_require__(1664);
var link_default = /*#__PURE__*/__webpack_require__.n(next_link);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
var image_default = /*#__PURE__*/__webpack_require__.n(next_image);
// EXTERNAL MODULE: ./src/helper/AddressApi.js
var AddressApi = __webpack_require__(7728);
// EXTERNAL MODULE: ./src/services/index.js + 2 modules
var services = __webpack_require__(2934);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(2296);
// EXTERNAL MODULE: external "yup"
var external_yup_ = __webpack_require__(5609);
// EXTERNAL MODULE: external "react-modal"
var external_react_modal_ = __webpack_require__(9931);
var external_react_modal_default = /*#__PURE__*/__webpack_require__.n(external_react_modal_);
;// CONCATENATED MODULE: ./src/components/popup/AddNewAddress.js






const AddAddress = (props)=>{
    const [btnText, setButtonText] = (0,external_react_.useState)("Save Address");
    const [updateBtnText, setUpdateButtonText] = (0,external_react_.useState)("Update Address");
    const { modalIsOpen , closeModal , userData , shippingCountriesData , setIsAddressLoading , addressIndexData  } = props;
    const AddressSchema = external_yup_.object().shape({
        reference_field: external_yup_.string().required("Field Is Required!"),
        billing_first_name: external_yup_.string().required("Field Is Required!"),
        billing_last_name: external_yup_.string().required("Field Is Required!"),
        billing_postcode: external_yup_.string().required("Field Is Required!"),
        billing_country: external_yup_.string().required("Field Is Required!"),
        billing_address_1: external_yup_.string().required("Field Is Required!"),
        billing_city: external_yup_.string().required("Field Is Required!"),
        billing_state: external_yup_.string().required("Field Is Required!"),
        billing_email: external_yup_.string().required("Field Is Required!"),
        billing_phone: external_yup_.string().required("Field Is Required!")
    });
    const getStyles = (errors, touched, fieldName)=>{
        if ((0,external_formik_.getIn)(errors, fieldName) && (0,external_formik_.getIn)(touched, fieldName)) {
            return {
                border: "2px solid red"
            };
        }
    };
    return /*#__PURE__*/ jsx_runtime_.jsx((external_react_modal_default()), {
        isOpen: modalIsOpen,
        onRequestClose: closeModal,
        className: "add-new-address",
        overlayClassName: "overlay-black",
        contentLabel: "Example Modal",
        children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
            className: "product-popup-content",
            children: [
                /*#__PURE__*/ jsx_runtime_.jsx("span", {
                    className: "close-btn",
                    onClick: closeModal,
                    children: "\xd7"
                }),
                /*#__PURE__*/ jsx_runtime_.jsx("div", {
                    id: "oc_add_billing_form",
                    children: /*#__PURE__*/ jsx_runtime_.jsx("div", {
                        className: "ocwma_woocommerce-address-fields",
                        children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Formik, {
                            initialValues: {
                                user_id: userData.id,
                                edit_id: addressIndexData ? addressIndexData.id : "",
                                reference_field: addressIndexData ? addressIndexData.userdata.reference_field : "",
                                billing_first_name: addressIndexData ? addressIndexData.userdata.billing_first_name : "",
                                billing_last_name: addressIndexData ? addressIndexData.userdata.billing_last_name : "",
                                billing_postcode: addressIndexData ? addressIndexData.userdata.billing_postcode : "",
                                billing_country: addressIndexData ? addressIndexData.userdata.billing_country.toLowerCase() : "",
                                billing_address_1: addressIndexData ? addressIndexData.userdata.billing_address_1 : "",
                                billing_city: addressIndexData ? addressIndexData.userdata.billing_city : "",
                                billing_state: addressIndexData ? addressIndexData.userdata.billing_state : "",
                                billing_email: addressIndexData ? addressIndexData.userdata.billing_email : "",
                                billing_phone: addressIndexData ? addressIndexData.userdata.billing_phone : "",
                                billing_company: addressIndexData ? addressIndexData.userdata.billing_company : "",
                                billing_address_2: addressIndexData ? addressIndexData.userdata.billing_address_2 : "",
                                address_type_bill: addressIndexData && addressIndexData.default_status == "selected" && (addressIndexData.type == "both" || addressIndexData.type == "billing") ? "default_bill" : "",
                                address_type_ship: addressIndexData && addressIndexData.default_status == "selected" && (addressIndexData.type == "both" || addressIndexData.type == "shipping") ? "default_ship" : ""
                            },
                            validationSchema: AddressSchema,
                            onSubmit: async (values, { resetForm  })=>{
                                if (addressIndexData) {
                                    setUpdateButtonText("Updating...");
                                    const updateUserAddressResponse = await (0,AddressApi/* default */.Z)({
                                        endpoint: "wp/v2/ocwma_edit_billing_form_fields",
                                        method: "POST",
                                        params: values
                                    });
                                    if (updateUserAddressResponse.added == "true") {
                                        setIsAddressLoading(true);
                                        closeModal(true);
                                        setUpdateButtonText("Update Address");
                                    } else {
                                        alert("Please add valid field");
                                        setUpdateButtonText("Update Address");
                                    }
                                } else {
                                    setButtonText("Saving...");
                                    const addUserAddressResponse = await (0,AddressApi/* default */.Z)({
                                        endpoint: "wp/v2/ocwma_add_billing_form_fields",
                                        method: "POST",
                                        params: values
                                    });
                                    if (addUserAddressResponse.added == "true") {
                                        setIsAddressLoading(true);
                                        closeModal(true);
                                        setButtonText("Save Address");
                                    } else {
                                        alert("Please add valid field");
                                        setButtonText("Save Address");
                                    }
                                }
                            },
                            children: ({ errors , touched  })=>/*#__PURE__*/ jsx_runtime_.jsx("div", {
                                    className: "ocwma_woocommerce-address-fields_field-wrapper",
                                    children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)(external_formik_.Form, {
                                        method: "post",
                                        children: [
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        style: getStyles(errors, touched, "reference_field"),
                                                        name: "reference_field",
                                                        placeholder: "Reference Name*",
                                                        className: "input-text"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-first validate-required half-width",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        style: getStyles(errors, touched, "billing_first_name"),
                                                        name: "billing_first_name",
                                                        placeholder: "First Name*"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-last validate-required half-width",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        style: getStyles(errors, touched, "billing_last_name"),
                                                        name: "billing_last_name",
                                                        placeholder: "Last Name*"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        name: "billing_company",
                                                        placeholder: "Company Name (Optional)"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide address-field validate-required validate-postcode half-width",
                                                id: "billing_postcode_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        style: getStyles(errors, touched, "billing_postcode"),
                                                        name: "billing_postcode",
                                                        placeholder: "Post Code*"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide address-field update_totals_on_change validate-required half-width",
                                                id: "billing_country_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)(external_formik_.Field, {
                                                        as: "select",
                                                        style: getStyles(errors, touched, "billing_country"),
                                                        name: "billing_country",
                                                        id: "billing_country",
                                                        className: "country_to_state country_select",
                                                        children: [
                                                            /*#__PURE__*/ jsx_runtime_.jsx("option", {
                                                                selected: "selected",
                                                                value: "",
                                                                children: "Select a country / region…"
                                                            }),
                                                            shippingCountriesData && shippingCountriesData.map((shippingCountriesItem, index)=>{
                                                                return /*#__PURE__*/ jsx_runtime_.jsx("option", {
                                                                    value: shippingCountriesItem[0],
                                                                    children: shippingCountriesItem[1]
                                                                }, index);
                                                            })
                                                        ]
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide address-field validate-required",
                                                id: "billing_address_1_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        style: getStyles(errors, touched, "billing_address_1"),
                                                        name: "billing_address_1",
                                                        placeholder: "Address Line 1*"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide address-field",
                                                id: "billing_address_2_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        name: "billing_address_2",
                                                        placeholder: "Address Line 2"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide address-field validate-required half-width",
                                                id: "billing_city_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        style: getStyles(errors, touched, "billing_city"),
                                                        name: "billing_city",
                                                        placeholder: "City*"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row-wide address-field validate-state half-width",
                                                id: "billing_state_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: "woocommerce-input-wrapper",
                                                    children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                        className: "input-text",
                                                        style: getStyles(errors, touched, "billing_state"),
                                                        placeholder: "State/Province*",
                                                        name: "billing_state"
                                                    })
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row form-row-wide validate-required validate-phone validate-required half-width",
                                                id: "billing_phone_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                    className: "cus-myacc-add input-text",
                                                    style: getStyles(errors, touched, "billing_phone"),
                                                    placeholder: "Telephone Number*",
                                                    name: "billing_phone"
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                className: "form-row form-row form-row-wide validate-required validate-email validate-required half-width",
                                                id: "billing_email_field",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                    className: "cus-myacc-add input-text",
                                                    style: getStyles(errors, touched, "billing_email"),
                                                    placeholder: "Email Address*",
                                                    name: "billing_email"
                                                })
                                            }),
                                            /*#__PURE__*/ (0,jsx_runtime_.jsxs)("p", {
                                                className: "cus-address-set-method",
                                                children: [
                                                    addressIndexData && addressIndexData.default_status == "selected" && (addressIndexData.type == "both" || addressIndexData.type == "billing") ? /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                        children: "It's a default billing address."
                                                    }) : /*#__PURE__*/ (0,jsx_runtime_.jsxs)("label", {
                                                        children: [
                                                            /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                                type: "checkbox",
                                                                className: "radio",
                                                                value: "default_bill",
                                                                name: "address_type_bill"
                                                            }),
                                                            /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                                children: "Set As Default Billing Address"
                                                            })
                                                        ]
                                                    }),
                                                    addressIndexData && addressIndexData.default_status == "selected" && (addressIndexData.type == "both" || addressIndexData.type == "shipping") ? /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                        children: "It's a default shipping address."
                                                    }) : /*#__PURE__*/ (0,jsx_runtime_.jsxs)("label", {
                                                        children: [
                                                            /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                                type: "checkbox",
                                                                className: "radio",
                                                                value: "default_ship",
                                                                name: "address_type_ship"
                                                            }),
                                                            /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                                children: "Set As Default Shipping Address"
                                                            })
                                                        ]
                                                    })
                                                ]
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                children: /*#__PURE__*/ jsx_runtime_.jsx("button", {
                                                    type: "submit",
                                                    name: "add_billing",
                                                    id: "oc_add_billing_form_submit",
                                                    className: "button save-address",
                                                    value: "ocwma_billpp_save_option",
                                                    children: addressIndexData ? updateBtnText : btnText
                                                })
                                            })
                                        ]
                                    })
                                })
                        })
                    })
                })
            ]
        })
    });
};
/* harmony default export */ const AddNewAddress = (/*#__PURE__*/external_react_default().memo(AddAddress));

// EXTERNAL MODULE: ./src/assets/round-loader.svg
var round_loader = __webpack_require__(5627);
// EXTERNAL MODULE: ./src/styles/myaccount/AccountPages.module.scss
var AccountPages_module = __webpack_require__(2398);
var AccountPages_module_default = /*#__PURE__*/__webpack_require__.n(AccountPages_module);
;// CONCATENATED MODULE: ./src/components/my-account/EditAddressMain.js









const EditAddressMain = ({ userData  })=>{
    const [isAddressLoading, setIsAddressLoading] = (0,external_react_.useState)(true);
    const [modalIsOpen, setIsOpen] = (0,external_react_.useState)(false);
    const [userAddressData, setUserAddressData] = (0,external_react_.useState)([]);
    const [shippingCountriesData, setShippingCountriesData] = (0,external_react_.useState)([]);
    const [refreshComponet, setRefreshComponet] = (0,external_react_.useState)("");
    const [addressIndexData, setAddressIndexData] = (0,external_react_.useState)("");
    function openModal() {
        setAddressIndexData("");
        setIsOpen(true);
    }
    function closeModal(refreshC = false) {
        if (refreshC == true) {
            setRefreshComponet(Math.random());
        }
        setIsOpen(false);
    }
    const handleUserAddress = async (userId)=>{
        const userAddressResponse = await (0,AddressApi/* default */.Z)({
            endpoint: "wp/v2/ocwma_get_address",
            method: "GET",
            params: {
                "user_id": userId
            }
        });
        setIsAddressLoading(false);
        setUserAddressData(userAddressResponse);
    };
    const editAddress = (indexData)=>{
        setAddressIndexData(indexData);
        setIsOpen(true);
    };
    const deleteAddress = async (addressId)=>{
        if (window.confirm("Are you sure? \nYou want to delete this address ?")) {
            setIsAddressLoading(true);
            const deleteAddressResponse = await (0,AddressApi/* default */.Z)({
                endpoint: "wp/v2/ocwma_delete_address",
                method: "POST",
                params: {
                    "did": addressId
                }
            });
            if (deleteAddressResponse.status == true) {
                setRefreshComponet(Math.random());
            } else {
                alert(deleteAddressResponse.message);
                setIsAddressLoading(false);
            }
        }
    };
    const setBillingDefaultAddress = async (userId, addressId)=>{
        setIsAddressLoading(true);
        const billingAddressResponse = await (0,AddressApi/* default */.Z)({
            endpoint: "wp/v2/ocwma_setdefault_billing",
            method: "POST",
            params: {
                "defuser": userId,
                "did": addressId
            }
        });
        if (billingAddressResponse.status == true) {
            setRefreshComponet(Math.random());
        } else {
            alert(billingAddressResponse.message);
            setIsAddressLoading(false);
        }
    };
    const setShippingDefaultAddress = async (userId, addressId)=>{
        setIsAddressLoading(true);
        const shippingAddressResponse = await (0,AddressApi/* default */.Z)({
            endpoint: "wp/v2/ocwma_setdefault_shipping",
            method: "POST",
            params: {
                "defuser": userId,
                "did-ship": addressId
            }
        });
        if (shippingAddressResponse.status == true) {
            setRefreshComponet(Math.random());
        } else {
            alert(shippingAddressResponse.message);
            setIsAddressLoading(false);
        }
    };
    const handleShippingCountries = async ()=>{
        const shippingCountriesResponse = await (0,services/* fetchShippingCountries */.ZU)();
        setShippingCountriesData(Object.keys(shippingCountriesResponse).map((key)=>[
                key,
                shippingCountriesResponse[key]
            ]));
    };
    (0,external_react_.useEffect)(()=>{
        handleShippingCountries();
        handleUserAddress(userData.id);
    }, [
        refreshComponet
    ]);
    return /*#__PURE__*/ jsx_runtime_.jsx("section", {
        className: (AccountPages_module_default()).root,
        children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
            className: "content-part",
            children: [
                /*#__PURE__*/ jsx_runtime_.jsx("div", {
                    className: (AccountPages_module_default()).wrapper,
                    children: /*#__PURE__*/ jsx_runtime_.jsx("div", {
                        className: "main-content-part",
                        children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                            className: "woocommerce",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx("nav", {
                                    className: "woocommerce-MyAccount-navigation",
                                    children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("ul", {
                                        children: [
                                            /*#__PURE__*/ jsx_runtime_.jsx("li", {
                                                className: "woocommerce-MyAccount-navigation-link woocommerce-MyAccount-navigation-link--edit-account",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx((link_default()), {
                                                    href: "/my-account/edit-account/",
                                                    children: "Dashboard"
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("li", {
                                                className: "woocommerce-MyAccount-navigation-link woocommerce-MyAccount-navigation-link--edit-address is-active",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx((link_default()), {
                                                    href: "/my-account/edit-address/",
                                                    children: "Address Book"
                                                })
                                            }),
                                            /*#__PURE__*/ jsx_runtime_.jsx("li", {
                                                className: "woocommerce-MyAccount-navigation-link woocommerce-MyAccount-navigation-link--orders",
                                                children: /*#__PURE__*/ jsx_runtime_.jsx((link_default()), {
                                                    href: "/my-account/orders/",
                                                    children: "Order History"
                                                })
                                            })
                                        ]
                                    })
                                }),
                                /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                                    className: "woocommerce-MyAccount-content",
                                    children: [
                                        /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                            className: "woocommerce-notices-wrapper"
                                        }),
                                        /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                            className: "block-title",
                                            children: /*#__PURE__*/ jsx_runtime_.jsx("h3", {
                                                className: "title",
                                                children: "Address Book"
                                            })
                                        }),
                                        /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                            className: "ocwma_table_custom",
                                            children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                                                className: "ocwma_table_bill",
                                                children: [
                                                    /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                                        className: "cus_menu cus-bill-add",
                                                        children: /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                                            className: "billling-button",
                                                            children: /*#__PURE__*/ jsx_runtime_.jsx("button", {
                                                                onClick: ()=>openModal(),
                                                                className: "form_option_billing",
                                                                children: "Add"
                                                            })
                                                        })
                                                    }),
                                                    isAddressLoading ? "" : userAddressData && userAddressData.map((userAddressItem, index)=>{
                                                        return /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                                                            className: "cus-bill-add",
                                                            children: [
                                                                userAddressItem.default_status == "selected" && (userAddressItem.type == "both" || userAddressItem.type == "billing") ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
                                                                    children: [
                                                                        /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                                            children: "DEFAULT BILLING ADDRESS"
                                                                        }),
                                                                        /*#__PURE__*/ jsx_runtime_.jsx("br", {})
                                                                    ]
                                                                }) : "",
                                                                userAddressItem.default_status == "selected" && (userAddressItem.type == "both" || userAddressItem.type == "shipping") ? /*#__PURE__*/ (0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
                                                                    children: [
                                                                        /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                                            children: "DEFAULT SHIPPING ADDRESS"
                                                                        }),
                                                                        /*#__PURE__*/ jsx_runtime_.jsx("br", {})
                                                                    ]
                                                                }) : "",
                                                                userAddressItem.userdata.reference_field,
                                                                /*#__PURE__*/ jsx_runtime_.jsx("br", {}),
                                                                userAddressItem.userdata.billing_first_name,
                                                                "\xa0\xa0",
                                                                userAddressItem.userdata.billing_last_name,
                                                                ",",
                                                                /*#__PURE__*/ jsx_runtime_.jsx("br", {}),
                                                                userAddressItem.userdata.billing_company ? userAddressItem.userdata.billing_company + "," : "",
                                                                userAddressItem.userdata.billing_company ? /*#__PURE__*/ jsx_runtime_.jsx("br", {}) : "",
                                                                userAddressItem.userdata.billing_address_1,
                                                                ",\xa0",
                                                                userAddressItem.userdata.billing_address_2,
                                                                ",",
                                                                /*#__PURE__*/ jsx_runtime_.jsx("br", {}),
                                                                userAddressItem.userdata.billing_city,
                                                                ",\xa0",
                                                                userAddressItem.userdata.billing_state,
                                                                "\xa0",
                                                                userAddressItem.userdata.billing_country,
                                                                ",\xa0",
                                                                userAddressItem.userdata.billing_postcode,
                                                                /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                                                                    className: "actions-add-link",
                                                                    children: [
                                                                        /*#__PURE__*/ jsx_runtime_.jsx("button", {
                                                                            onClick: ()=>editAddress(userAddressItem),
                                                                            type: "button",
                                                                            className: "form_option_edit",
                                                                            children: "edit"
                                                                        }),
                                                                        /*#__PURE__*/ jsx_runtime_.jsx("a", {
                                                                            onClick: ()=>deleteAddress(userAddressItem.id),
                                                                            children: "Remove"
                                                                        }),
                                                                        userAddressItem.default_status == null ? /*#__PURE__*/ jsx_runtime_.jsx("a", {
                                                                            onClick: ()=>setBillingDefaultAddress(userAddressItem.userid, userAddressItem.id),
                                                                            children: "Set As Default Billing Address"
                                                                        }) : "",
                                                                        userAddressItem.default_status == null ? /*#__PURE__*/ jsx_runtime_.jsx("a", {
                                                                            onClick: ()=>setShippingDefaultAddress(userAddressItem.userid, userAddressItem.id),
                                                                            children: "Set As Default Shipping Address"
                                                                        }) : ""
                                                                    ]
                                                                })
                                                            ]
                                                        }, index);
                                                    }),
                                                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                                        className: "loader-image",
                                                        height: 30,
                                                        width: 30,
                                                        src: round_loader/* default */.Z,
                                                        style: {
                                                            display: isAddressLoading ? "" : "none"
                                                        }
                                                    })
                                                ]
                                            })
                                        })
                                    ]
                                })
                            ]
                        })
                    })
                }),
                /*#__PURE__*/ jsx_runtime_.jsx(AddNewAddress, {
                    addressIndexData: addressIndexData,
                    setIsAddressLoading: setIsAddressLoading,
                    modalIsOpen: modalIsOpen,
                    closeModal: closeModal,
                    userData: userData,
                    shippingCountriesData: shippingCountriesData
                })
            ]
        })
    });
};
/* harmony default export */ const my_account_EditAddressMain = (EditAddressMain);

// EXTERNAL MODULE: ./src/components/my-account/login.js
var login = __webpack_require__(4543);
// EXTERNAL MODULE: ./src/components/Common/FulllPageLoader.js
var FulllPageLoader = __webpack_require__(3420);
// EXTERNAL MODULE: ./src/components/Layout/index.js + 19 modules
var Layout = __webpack_require__(4327);
;// CONCATENATED MODULE: ./src/pages/my-account/edit-address.js



//import InstagramFeed from '../../components/home/InstagramFeed';





const EditAddress = ()=>{
    const { userIsLogin , userIsLoading , userData  } = (0,external_react_redux_.useSelector)((state)=>state.user);
    return userIsLogin ? /*#__PURE__*/ jsx_runtime_.jsx(Layout/* default */.Z, {
        children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
            children: [
                /*#__PURE__*/ jsx_runtime_.jsx(CommonLoginBanner/* default */.Z, {
                    userData: userData
                }),
                /*#__PURE__*/ jsx_runtime_.jsx(my_account_EditAddressMain, {
                    userData: userData
                })
            ]
        })
    }) : /*#__PURE__*/ jsx_runtime_.jsx(Layout/* default */.Z, {
        children: /*#__PURE__*/ jsx_runtime_.jsx(jsx_runtime_.Fragment, {
            children: /*#__PURE__*/ jsx_runtime_.jsx(login/* default */.Z, {})
        })
    });
};
/* harmony default export */ const edit_address = (EditAddress);


/***/ }),

/***/ 7197:
/***/ ((module) => {

module.exports = require("@fortawesome/react-fontawesome");

/***/ }),

/***/ 5184:
/***/ ((module) => {

module.exports = require("@reduxjs/toolkit");

/***/ }),

/***/ 1239:
/***/ ((module) => {

module.exports = require("events");

/***/ }),

/***/ 6953:
/***/ ((module) => {

module.exports = require("follow-redirects");

/***/ }),

/***/ 8941:
/***/ ((module) => {

module.exports = require("form-data");

/***/ }),

/***/ 2296:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6517:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 3918:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/amp-context.js");

/***/ }),

/***/ 5732:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/amp-mode.js");

/***/ }),

/***/ 3280:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/app-router-context.js");

/***/ }),

/***/ 2796:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head-manager-context.js");

/***/ }),

/***/ 4014:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/i18n/normalize-locale-path.js");

/***/ }),

/***/ 4486:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-blur-svg.js");

/***/ }),

/***/ 744:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-config-context.js");

/***/ }),

/***/ 5843:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-config.js");

/***/ }),

/***/ 9552:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-loader");

/***/ }),

/***/ 8524:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/is-plain-object.js");

/***/ }),

/***/ 5832:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/loadable.js");

/***/ }),

/***/ 8020:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/mitt.js");

/***/ }),

/***/ 4406:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/page-path/denormalize-page-path.js");

/***/ }),

/***/ 4964:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router-context.js");

/***/ }),

/***/ 1751:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/add-path-prefix.js");

/***/ }),

/***/ 6220:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/compare-states.js");

/***/ }),

/***/ 299:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/format-next-pathname-info.js");

/***/ }),

/***/ 3938:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/format-url.js");

/***/ }),

/***/ 9565:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/get-asset-path-from-route.js");

/***/ }),

/***/ 5789:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/get-next-pathname-info.js");

/***/ }),

/***/ 1897:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/is-bot.js");

/***/ }),

/***/ 1428:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/is-dynamic.js");

/***/ }),

/***/ 8854:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/parse-path.js");

/***/ }),

/***/ 1292:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/parse-relative-url.js");

/***/ }),

/***/ 4567:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/path-has-prefix.js");

/***/ }),

/***/ 979:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/querystring.js");

/***/ }),

/***/ 3297:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/remove-trailing-slash.js");

/***/ }),

/***/ 6052:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/resolve-rewrites.js");

/***/ }),

/***/ 4226:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/route-matcher.js");

/***/ }),

/***/ 5052:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/route-regex.js");

/***/ }),

/***/ 2470:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/side-effect.js");

/***/ }),

/***/ 9232:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/utils.js");

/***/ }),

/***/ 618:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/utils/warn-once.js");

/***/ }),

/***/ 968:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 1853:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 3149:
/***/ ((module) => {

module.exports = require("proxy-from-env");

/***/ }),

/***/ 6689:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 6405:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 5623:
/***/ ((module) => {

module.exports = require("react-google-recaptcha");

/***/ }),

/***/ 9931:
/***/ ((module) => {

module.exports = require("react-modal");

/***/ }),

/***/ 6022:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 997:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 6464:
/***/ ((module) => {

module.exports = require("util");

/***/ }),

/***/ 5609:
/***/ ((module) => {

module.exports = require("yup");

/***/ }),

/***/ 3685:
/***/ ((module) => {

module.exports = require("http");

/***/ }),

/***/ 5687:
/***/ ((module) => {

module.exports = require("https");

/***/ }),

/***/ 2781:
/***/ ((module) => {

module.exports = require("stream");

/***/ }),

/***/ 7310:
/***/ ((module) => {

module.exports = require("url");

/***/ }),

/***/ 9796:
/***/ ((module) => {

module.exports = require("zlib");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [2442,3121,676,6733,1684,4327,3997], () => (__webpack_exec__(9693)));
module.exports = __webpack_exports__;

})();