"use strict";
(() => {
var exports = {};
exports.id = 9604;
exports.ids = [9604];
exports.modules = {

/***/ 7160:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ lost_password)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(2296);
// EXTERNAL MODULE: external "yup"
var external_yup_ = __webpack_require__(5609);
// EXTERNAL MODULE: ./src/helper/UsersApi.js
var UsersApi = __webpack_require__(360);
;// CONCATENATED MODULE: ./src/components/my-account/ForgotPassword.js





//import '../../style/my-account/login.scss';
const ForgotPassword = ()=>{
    const [buttonText, setButtonText] = (0,external_react_.useState)("Reset password");
    const [responseMessage, setResponseMessage] = (0,external_react_.useState)("");
    const [responseMessageStatus, setResponseMessageStatus] = (0,external_react_.useState)("");
    const ForgotPasswordSchema = external_yup_.object().shape({
        user_login: external_yup_.string().required("Enter a username or email address.")
    });
    return /*#__PURE__*/ jsx_runtime_.jsx(jsx_runtime_.Fragment, {
        children: /*#__PURE__*/ jsx_runtime_.jsx("div", {
            className: "content-part",
            children: /*#__PURE__*/ jsx_runtime_.jsx("div", {
                className: "wrapper",
                children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                    className: "login-register",
                    children: [
                        /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                            className: "woocommerce-notices-wrapper",
                            children: [
                                responseMessageStatus == "error" ? /*#__PURE__*/ jsx_runtime_.jsx("ul", {
                                    className: "woocommerce-error",
                                    role: "alert",
                                    children: /*#__PURE__*/ jsx_runtime_.jsx("li", {
                                        dangerouslySetInnerHTML: {
                                            __html: responseMessage
                                        }
                                    })
                                }) : "",
                                responseMessageStatus == "success" ? /*#__PURE__*/ jsx_runtime_.jsx("ul", {
                                    className: "woocommerce-message",
                                    role: "alert",
                                    children: /*#__PURE__*/ jsx_runtime_.jsx("li", {
                                        dangerouslySetInnerHTML: {
                                            __html: responseMessage
                                        }
                                    })
                                }) : ""
                            ]
                        }),
                        /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                            className: "woocommerce",
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                    className: "woocommerce-notices-wrapper"
                                }),
                                /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                    className: "entry-content-woocommerce",
                                    children: responseMessageStatus == "success" ? /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                        children: "A password reset email has been sent to the email address on file for your account, but may take several minutes to show up in your inbox. Please wait at least 10 minutes before attempting another reset."
                                    }) : /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Formik, {
                                        initialValues: {
                                            user_login: ""
                                        },
                                        validationSchema: ForgotPasswordSchema,
                                        onSubmit: async (values, { resetForm  })=>{
                                            setButtonText("Loading...");
                                            const forgotPasswordResponse = await (0,UsersApi/* default */.Z)({
                                                endpoint: "user/retrieve_password",
                                                method: "GET",
                                                params: {
                                                    "user_login": values.user_login,
                                                    "insecure": "cool"
                                                }
                                            });
                                            if (forgotPasswordResponse.status == "ok") {
                                                setResponseMessage("Password reset email has been sent.");
                                                setResponseMessageStatus("success");
                                            } else {
                                                setResponseMessage(forgotPasswordResponse.error);
                                                setResponseMessageStatus("error");
                                                setButtonText("Reset password");
                                            }
                                        },
                                        children: ({ errors , touched  })=>/*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Form, {
                                                method: "post",
                                                className: "woocommerce-ResetPassword lost_reset_password",
                                                children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
                                                    children: [
                                                        /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                            children: "Lost your password? Please enter your username or email address. You will receive a link to create a new password via email."
                                                        }),
                                                        /*#__PURE__*/ (0,jsx_runtime_.jsxs)("p", {
                                                            className: "woocommerce-form-row woocommerce-form-row--first form-row form-row-first",
                                                            children: [
                                                                /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.Field, {
                                                                    name: "user_login",
                                                                    className: "woocommerce-Input woocommerce-Input--text input-text"
                                                                }),
                                                                /*#__PURE__*/ jsx_runtime_.jsx(external_formik_.ErrorMessage, {
                                                                    component: "div",
                                                                    className: "formError",
                                                                    name: "user_login"
                                                                })
                                                            ]
                                                        }),
                                                        /*#__PURE__*/ jsx_runtime_.jsx("div", {
                                                            className: "clear",
                                                            children: /*#__PURE__*/ jsx_runtime_.jsx("p", {
                                                                className: "woocommerce-form-row form-row",
                                                                children: /*#__PURE__*/ jsx_runtime_.jsx("button", {
                                                                    type: "submit",
                                                                    className: "woocommerce-Button button",
                                                                    value: "Reset password",
                                                                    children: buttonText
                                                                })
                                                            })
                                                        })
                                                    ]
                                                })
                                            })
                                    })
                                })
                            ]
                        })
                    ]
                })
            })
        })
    });
};
/* harmony default export */ const my_account_ForgotPassword = (ForgotPassword);

// EXTERNAL MODULE: ./src/components/Layout/index.js + 19 modules
var Layout = __webpack_require__(4327);
;// CONCATENATED MODULE: ./src/pages/my-account/lost-password.js


//import '../style/my-account/login.scss';

//import InstagramFeed from '../../components/home/InstagramFeed';

const LostPassword = ()=>{
    return /*#__PURE__*/ jsx_runtime_.jsx(Layout/* default */.Z, {
        children: /*#__PURE__*/ jsx_runtime_.jsx(my_account_ForgotPassword, {})
    });
};
/* harmony default export */ const lost_password = (LostPassword);


/***/ }),

/***/ 7197:
/***/ ((module) => {

module.exports = require("@fortawesome/react-fontawesome");

/***/ }),

/***/ 5184:
/***/ ((module) => {

module.exports = require("@reduxjs/toolkit");

/***/ }),

/***/ 1239:
/***/ ((module) => {

module.exports = require("events");

/***/ }),

/***/ 6953:
/***/ ((module) => {

module.exports = require("follow-redirects");

/***/ }),

/***/ 8941:
/***/ ((module) => {

module.exports = require("form-data");

/***/ }),

/***/ 2296:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6517:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 3918:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/amp-context.js");

/***/ }),

/***/ 5732:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/amp-mode.js");

/***/ }),

/***/ 3280:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/app-router-context.js");

/***/ }),

/***/ 2796:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head-manager-context.js");

/***/ }),

/***/ 4014:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/i18n/normalize-locale-path.js");

/***/ }),

/***/ 4486:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-blur-svg.js");

/***/ }),

/***/ 744:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-config-context.js");

/***/ }),

/***/ 5843:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-config.js");

/***/ }),

/***/ 9552:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/image-loader");

/***/ }),

/***/ 8524:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/is-plain-object.js");

/***/ }),

/***/ 5832:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/loadable.js");

/***/ }),

/***/ 8020:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/mitt.js");

/***/ }),

/***/ 4406:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/page-path/denormalize-page-path.js");

/***/ }),

/***/ 4964:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router-context.js");

/***/ }),

/***/ 1751:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/add-path-prefix.js");

/***/ }),

/***/ 6220:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/compare-states.js");

/***/ }),

/***/ 299:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/format-next-pathname-info.js");

/***/ }),

/***/ 3938:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/format-url.js");

/***/ }),

/***/ 9565:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/get-asset-path-from-route.js");

/***/ }),

/***/ 5789:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/get-next-pathname-info.js");

/***/ }),

/***/ 1897:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/is-bot.js");

/***/ }),

/***/ 1428:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/is-dynamic.js");

/***/ }),

/***/ 8854:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/parse-path.js");

/***/ }),

/***/ 1292:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/parse-relative-url.js");

/***/ }),

/***/ 4567:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/path-has-prefix.js");

/***/ }),

/***/ 979:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/querystring.js");

/***/ }),

/***/ 3297:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/remove-trailing-slash.js");

/***/ }),

/***/ 6052:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/resolve-rewrites.js");

/***/ }),

/***/ 4226:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/route-matcher.js");

/***/ }),

/***/ 5052:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/router/utils/route-regex.js");

/***/ }),

/***/ 2470:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/side-effect.js");

/***/ }),

/***/ 9232:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/utils.js");

/***/ }),

/***/ 618:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/utils/warn-once.js");

/***/ }),

/***/ 968:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 1853:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 3149:
/***/ ((module) => {

module.exports = require("proxy-from-env");

/***/ }),

/***/ 6689:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 6405:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 5623:
/***/ ((module) => {

module.exports = require("react-google-recaptcha");

/***/ }),

/***/ 6022:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 997:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 6464:
/***/ ((module) => {

module.exports = require("util");

/***/ }),

/***/ 5609:
/***/ ((module) => {

module.exports = require("yup");

/***/ }),

/***/ 3685:
/***/ ((module) => {

module.exports = require("http");

/***/ }),

/***/ 5687:
/***/ ((module) => {

module.exports = require("https");

/***/ }),

/***/ 2781:
/***/ ((module) => {

module.exports = require("stream");

/***/ }),

/***/ 7310:
/***/ ((module) => {

module.exports = require("url");

/***/ }),

/***/ 9796:
/***/ ((module) => {

module.exports = require("zlib");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [2442,3121,676,6733,1684,4327], () => (__webpack_exec__(7160)));
module.exports = __webpack_exports__;

})();