import Link from "next/link";
//import useSite from 'hooks/use-site';
import UrlReplace from '../Common/UrlReplace';
//import '../style/footer.scss';
import styles from "./Footer.module.scss";
const FooterMenu = ({ footerFirstMenuData, footerSecondMenuData }) => {
    // const { footerFirstMenuData,footerSecondMenuData } = useSite();
    return (

        <div>
            <ul className="menu">
                {footerFirstMenuData && footerFirstMenuData.items.length > 0 && footerFirstMenuData.items.map((footerFirstMenuItem, index) => {
                    return <li key={index} className="menu-item menu-item-type-post_type menu-item-object-page">
                        <Link href={UrlReplace(footerFirstMenuItem.url)} dangerouslySetInnerHTML={{__html: footerFirstMenuItem.title}}></Link>
                    </li>
                })}
            </ul>

            <ul className="menu">
                {footerSecondMenuData && footerSecondMenuData.items && footerSecondMenuData.items.map((footerSecondMenuItem, index) => {
                    return <li key={index} className="menu-item menu-item-type-post_type menu-item-object-page">
                        <Link href={UrlReplace(footerSecondMenuItem.url)} dangerouslySetInnerHTML={{__html: footerSecondMenuItem.title}}></Link>
                    </li>
                })}
            </ul>
        </div>

    );
};

export default FooterMenu;