import React from 'react';
import  Link  from  'next/link';
//import '../../styles/shop/productlistingfilter.scss';
// import ExpandMoreIcon from "@material-ui/icons/ExpandMore";
// import Accordion from "@material-ui/core/Accordion";
// import AccordionDetails from "@material-ui/core/AccordionDetails";
// import Typography from "@material-ui/core/Typography";
// import AccordionSummary from "@material-ui/core/AccordionSummary";
import RangeSlider from "react-range-slider-input";
import "react-range-slider-input/dist/style.css";


const ProductListingFilter = () => {
  return (
    <>
      <div className="filter">
        <div className="widget_text"><div className="textwidget custom-html-widget"><h2 className="widget-title">Silver Cutlery</h2><div className="read-more js-read-more readmore-content" data-rm-words={30}><p><span>Silver cutlery, the correct wording being flatware, as cutlery originally referred to knives only, has been with us since the medieval period .</span></p>
          <p><span>In that period right up until the early 1700s single spoons were the norm and forks although known from the Charles I period (c1630) were of great rarity and little used. It was only until the middle years to third quarter of the eighteenth century that one encounters the modern-day idea of a set.&nbsp;</span></p>
          <p><span>Even as late as 1790 sets were sometimes&nbsp; made without forks and indeed in America for example the fork was not made until the early nineteenth century. In the eighteenth century the large size circa 9-inch (23 cm) tablespoon was the most important item.&nbsp;</span></p>
          <p><span>In the eighteenth century forks were three pronged until the 1770s , when four became commonplace. The styles available were normally of a plain nature or with rather restrained decoration.&nbsp;</span></p>
          <p><span>It was only from about 1805 onwards that there was an explosion in different patterns and the range became vast. From the mid nineteenth century items such as fish knives were being produced and in the 1890s the round bowl soup spoon was being introduced. Knives were made from carbon steel (prone to rust) until stainless steel was invented in 1913.</span></p>
          <p><span>William Walter Antiques has a vast array of cutlery from the 1770s right up to the modern era and we also hold a huge stock of individual pieces (if you want to get started on a set or are missing a few pieces from your own)</span></p>
        </div></div></div>
        <h2 className="widget-title">Filter</h2>
        <button className="button woof_reset_search_form" data-link="">Clear</button>
        <a href="javascript:void(0);" className="close-filter-bar">Back</a>
        {/* <Accordion>
          <AccordionSummary
            expandIcon={<ExpandMoreIcon />}
            aria-controls="panel1a-content"
          >
            <Typography>
              Availability
            </Typography>
          </AccordionSummary>
          <AccordionDetails>
            <Typography>
              <ul className="woof_list woof_list_checkbox">
                <li>
                  <Accordion className='inner-accordion'>
                    <AccordionSummary
                      expandIcon={<ExpandMoreIcon />}
                      aria-controls="panel1a-content"
                    >
                      <input type="checkbox" id="for-sale4" className="woof_checkbox_term" data-tax="availability" name="for-sale4" data-term-id={39} defaultValue={39} />
                      <label className="woof_checkbox_label" htmlFor="for-sale4">For Sale<span className="woof_checkbox_count">(95)</span></label>
                    </AccordionSummary>
                    <AccordionDetails>
                      <ul className="woof_list woof_list_checkbox">
                        <li><input type="checkbox" id="for-sale5" className="woof_checkbox_term" data-tax="availability" name="for-sale5" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="for-sale5">For Sale1<span className="woof_checkbox_count">(95)</span></label>
                          <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                        </li>
                        <li><input type="checkbox" id="other5" className="woof_checkbox_term" data-tax="availability" name="other5" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="other5">Other1<span className="woof_checkbox_count">(95)</span></label>
                          <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_other" />
                        </li>
                        <li><input type="checkbox" id="sil-cut5" className="woof_checkbox_term" data-tax="availability" name="sil-cut5" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="sil-cut5">Silver Cutlery1<span className="woof_checkbox_count">(95)</span></label>
                          <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                        </li>
                      </ul>
                    </AccordionDetails>
                  </Accordion>
                </li>
                <li><input type="checkbox" id="other" className="woof_checkbox_term" data-tax="availability" name="other" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="other">Other<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_other" />
                </li>
                <li><input type="checkbox" id="sil-cut" className="woof_checkbox_term" data-tax="availability" name="sil-cut" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="sil-cut">Silver Cutlery<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
              </ul>
            </Typography>
          </AccordionDetails>

        </Accordion>

        <Accordion>
          <AccordionSummary
            expandIcon={<ExpandMoreIcon />}
            aria-controls="panel1a-content"
          >
            <Typography>
              Category Name
            </Typography>
          </AccordionSummary>
          <AccordionDetails>
            <Typography>
              <ul className="woof_list woof_list_checkbox">
                <li><input type="checkbox" id="for-sale1" className="woof_checkbox_term" data-tax="availability" name="for-sale1" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="for-sale1">For Sale<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
                <li><input type="checkbox" id="other1" className="woof_checkbox_term" data-tax="availability" name="other1" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="other1">Other<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_other" />
                </li>
                <li><input type="checkbox" id="sil-cut1" className="woof_checkbox_term" data-tax="availability" name="sil-cut1" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="sil-cut1">Silver Cutlery<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
              </ul>
            </Typography>
          </AccordionDetails>

        </Accordion>

        <Accordion>
          <AccordionSummary
            expandIcon={<ExpandMoreIcon />}
            aria-controls="panel1a-content"
          >
            <Typography>
              Maker
            </Typography>
          </AccordionSummary>
          <AccordionDetails>
            <Typography>
              <ul className="woof_list woof_list_checkbox">
                <li><input type="checkbox" id="for-sale2" className="woof_checkbox_term" data-tax="availability" name="for-sale2" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="for-sale2">For Sale<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
                <li><input type="checkbox" id="other2" className="woof_checkbox_term" data-tax="availability" name="other2" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="other2">Other<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_other" />
                </li>
                <li><input type="checkbox" id="sil-cut2" className="woof_checkbox_term" data-tax="availability" name="sil-cut2" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="sil-cut2">Silver Cutlery<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
              </ul>
            </Typography>
          </AccordionDetails>

        </Accordion> */}

        <div className='price-filter'>
          <h4>Price</h4>
          <RangeSlider min={0} max={100} />
        </div>

        {/* <Accordion>
          <AccordionSummary
            expandIcon={<ExpandMoreIcon />}
            aria-controls="panel1a-content"
          >
            <Typography>
              Period
            </Typography>
          </AccordionSummary>
          <AccordionDetails>
            <Typography>
              <ul className="woof_list woof_list_checkbox">
                <li><input type="checkbox" id="for-sale3" className="woof_checkbox_term" data-tax="availability" name="for-sale3" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="for-sale3">For Sale<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
                <li><input type="checkbox" id="other3" className="woof_checkbox_term" data-tax="availability" name="other3" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="other3">Other<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_other" />
                </li>
                <li><input type="checkbox" id="sil-cut3" className="woof_checkbox_term" data-tax="availability" name="sil-cut3" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="sil-cut3">Silver Cutlery<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
              </ul>
            </Typography>
          </AccordionDetails>

        </Accordion>

        <Accordion>
          <AccordionSummary
            expandIcon={<ExpandMoreIcon />}
            aria-controls="panel1a-content"
          >
            <Typography>
              Monarch
            </Typography>
          </AccordionSummary>
          <AccordionDetails>
            <Typography>
              <ul className="woof_list woof_list_checkbox">
                <li><input type="checkbox" id="for-sale4" className="woof_checkbox_term" data-tax="availability" name="for-sale4" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="for-sale4">For Sale<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
                <li><input type="checkbox" id="other4" className="woof_checkbox_term" data-tax="availability" name="other4" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="other4">Other<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_other" />
                </li>
                <li><input type="checkbox" id="sil-cut4" className="woof_checkbox_term" data-tax="availability" name="sil-cut4" data-term-id={39} defaultValue={39} /><label className="woof_checkbox_label " htmlFor="sil-cut4">Silver Cutlery<span className="woof_checkbox_count">(95)</span></label>
                  <input type="hidden" defaultValue="For Sale" data-anchor="woof_n_availability_for-sale" />
                </li>
              </ul>
            </Typography>
          </AccordionDetails>

        </Accordion> */}

        <div className="archive-block">
          <div className="archive-block-inner">
            <a href="#" className="archived">View this Category’s Archive</a>
          </div>
        </div>
      </div>
    </>
  );
};

export default ProductListingFilter;
