import React, { useEffect, useState } from 'react';
import { useDispatch, useSelector } from 'react-redux';
import styles from "../../styles/cmspage/Mainbannertitle.module.scss";
import DemoBanner from "../../assets/demo-banner.png";
import axios from 'axios';

const MainBannerBasket = () => {
  const [optionData, setOptionData] = useState(null);
  //const { generalSettingsIsLoading, generalSettingsData, generalSettingsError } = useSelector(state => state.generalSettings);
  const handleGeneralSetting = async () => {
    await axios
      .get(process.env.API_URL + 'acf/v3/options/options?_fields=acf.thank_you_banner_image,acf.thank_you_page_title')
      .then(function (response) {
        setOptionData(response.data)
      })
  }
  useEffect(() => {
    handleGeneralSetting()
  }, []);
  return (
    <div className={styles.root}>
      <div className="cms-banner contact-banner">
        <div className={styles.wrapper}>
          <div className="cms-banner-section" style={{ backgroundImage: `url(${DemoBanner.src})` }}>
            <div className="banner-text view-less-pos">
              <h2 className="page-tittle">Thank you for your order</h2>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default MainBannerBasket;