import styles from "../../styles/cmspage/Mainbannertitle.module.scss";
const MainBannerTitle = ({ newsData, optionData }) => {
  return (
    <section className={styles.root}>
      <div className="cms-banner">
        <div className={styles.wrapper}>
          <div
            className="cms-banner-section"
            style={{
              backgroundImage: optionData ? `url(${optionData.acf.defaultBannerImage.sizes.mainBannerImage})` : "",
            }}
          >
            <div className="banner-text view-less-pos">
              <h2 className="page-tittle">{newsData && newsData.title && newsData.title.rendered}</h2>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default MainBannerTitle;
