import Link from "next/link";
import moment from "moment";
//import '../../style/ourexpert/ourexpertmain.scss';
//import '../../style/news/mainbannertitle.scss';
import styles from "../../styles/cmspage/Mainbannertitle.module.scss";
const NewsDetailsBanner = ({ newsDetailData, optionData }) => {
  return (
    <section className={styles.root}>
      <div className="cms-banner news-details-banner">
        <div className={styles.wrapper}>
          <div
            className="cms-banner-section"
            style={{
              backgroundImage: optionData ? `url(${optionData.acf.defaultBannerImage.sizes.mainBannerImage})` : "",
            }}
          >
            <div className="banner-text view-less-pos">
              <h2 className="page-tittle">{newsDetailData.title.rendered}</h2>
              <Link href={"/" + newsDetailData.slug} className="readmore">
                {moment(newsDetailData.date).format("DD MMMM YYYY")}
              </Link>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default NewsDetailsBanner;
