import React from 'react';
import Layout from 'components/Layout';
import styles from '../styles/notFound.module.scss';

const NotFound = () => {
  return (
    <Layout>
      <>
        <section className={styles.notFoundSection}>
          <div className={styles.wrapper}>
            <div className="banner-text">
              <h1 className="page-tittle">404</h1>
            </div>
            <div className="main-content-part">
              <h2>Oops! That page can’t be found.</h2>
              <div className="page-content">
                <p>It looks like nothing was found at this location. Maybe try one of the links below or a search?</p>
              </div>
            </div>
          </div>
        </section>
        {/*   <InstagramFeed /> */}
      </>
    </Layout>
  );
};

export default NotFound;
