import React from 'react';
import { useDispatch, useSelector } from 'react-redux';
//import InstagramFeed from '../components/home/InstagramFeed';
//import '../style/my-account/login.scss';
import Login from '../../components/my-account/login';
import Registeration from '../../components/my-account/Registeration';
import CommonLoginBanner from '../../components/my-account/CommonLoginBanner';
import WelcomeScreenMain from '../../components/my-account/WelcomeScreenMain';
import FulllPageLoader from '../../components/Common/FulllPageLoader';
import { useRouter } from 'next/router'
import Layout from 'components/Layout';

export default function MyAccount() {

  const { userIsLogin, userIsLoading, userData } = useSelector(state => state.user);
  const router = useRouter();
  const action = router.query.action ? router.query.action : '';

  return (
    (

      (userIsLogin) ?
        <Layout>
          <>
            <CommonLoginBanner userData={userData} />
            <WelcomeScreenMain userData={userData} />
            {/*   <InstagramFeed /> */}
          </>
        </Layout>
        :
        <Layout>
          <>
            {((action == "register") ? <Registeration /> : <Login />)}
            {/* <InstagramFeed /> */}
          </>
        </Layout>
    )


  );
};